﻿module("VOICE")

distances = {}

distances.patterns = {
	L"10",
	L"100",
	L"13",
	L"14",
	L"15",
	L"16",
	L"17",
	L"18",
	L"19",
	L"1_point",
	L"200",
	L"2_point",
	L"30",
	L"300",
	L"30_and",
	L"3_point",
	L"3_quarter_of_a_mile-e",
	L"3_quarter_of_a_mile-m",
	L"40",
	L"400",
	L"40_and",
	L"4_point",
	L"50",
	L"500",
	L"50_and",
	L"5_point",
	L"60",
	L"600",
	L"60_and",
	L"6_point",
	L"70",
	L"700",
	L"70_and",
	L"7_point",
	L"80",
	L"800",
	L"80_and",
	L"8_point",
	L"90",
	L"900",
	L"90_and",
	L"9_point",
	L"Trip",
	L"a_quarter_mile-e",
	L"a_quarter_mile-m",
	L"after-1",
	L"after-10",
	L"after-2",
	L"after-20",
	L"after-20_and",
	L"after-3",
	L"after-4",
	L"after-5",
	L"after-6",
	L"after-7",
	L"after-8",
	L"after-9",
	L"after-mi-3q",
	L"after-mi-aq",
	L"after_1000_feet-e",
	L"after_1000_feet-m",
	L"after_half_mile-e",
	L"after_half_mile-m",
	L"after_more_than",
	L"after_null",
	L"and_01-km-e",
	L"and_01-km-m",
	L"and_01-m-e",
	L"and_01-m-m",
	L"and_02-km-e",
	L"and_02-km-m",
	L"and_02-m-e",
	L"and_02-m-m",
	L"and_03-km-e",
	L"and_03-km-m",
	L"and_03-m-e",
	L"and_03-m-m",
	L"and_04-km-e",
	L"and_04-km-m",
	L"and_04-m-e",
	L"and_04-m-m",
	L"and_05-km-e",
	L"and_05-km-m",
	L"and_05-m-e",
	L"and_05-m-m",
	L"and_06-km-e",
	L"and_06-km-m",
	L"and_06-m-e",
	L"and_06-m-m",
	L"and_07-km-e",
	L"and_07-km-m",
	L"and_07-m-e",
	L"and_07-m-m",
	L"and_08-km-e",
	L"and_08-km-m",
	L"and_08-m-e",
	L"and_08-m-m",
	L"and_09-km-e",
	L"and_09-km-m",
	L"and_09-m-e",
	L"and_09-m-m",
	L"and_10-km-e",
	L"and_10-km-m",
	L"and_10-me-e",
	L"and_10-me-m",
	L"and_10-mi-e",
	L"and_10-mi-m",
	L"and_10-y-e",
	L"and_10-y-m",
	L"and_20-km-e",
	L"and_20-km-m",
	L"and_20-me-e",
	L"and_20-me-m",
	L"and_20-mi-e",
	L"and_20-mi-m",
	L"and_20-y-e",
	L"and_20-y-m",
	L"and_30",
	L"and_31-km-e",
	L"and_31-km-m",
	L"and_31-m-e",
	L"and_31-m-m",
	L"and_32-km-e",
	L"and_32-km-m",
	L"and_32-m-e",
	L"and_32-m-m",
	L"and_33-km-e",
	L"and_33-km-m",
	L"and_33-m-e",
	L"and_33-m-m",
	L"and_34-km-e",
	L"and_34-km-m",
	L"and_34-m-e",
	L"and_34-m-m",
	L"and_35-km-e",
	L"and_35-km-m",
	L"and_35-m-e",
	L"and_35-m-m",
	L"and_36-km-e",
	L"and_36-km-m",
	L"and_36-m-e",
	L"and_36-m-m",
	L"and_37-km-e",
	L"and_37-km-m",
	L"and_37-m-e",
	L"and_37-m-m",
	L"and_38-km-e",
	L"and_38-km-m",
	L"and_38-m-e",
	L"and_38-m-m",
	L"and_39-km-e",
	L"and_39-km-m",
	L"and_39-m-e",
	L"and_39-m-m",
	L"and_40",
	L"and_50",
	L"and_60",
	L"and_70",
	L"and_80",
	L"and_90",
	L"drive-1",
	L"drive-10",
	L"drive-2",
	L"drive-20",
	L"drive-20_and",
	L"drive-3",
	L"drive-4",
	L"drive-5",
	L"drive-6",
	L"drive-7",
	L"drive-8",
	L"drive-9",
	L"drive-mi-3q",
	L"drive-mi-aq",
	L"drive_1000_feet-e",
	L"drive_half_mile-e",
	L"drive_more_than",
	L"feet-e-100",
	L"feet-e-50",
	L"feet-m-100",
	L"feet-m-50",
	L"in-1",
	L"in-10",
	L"in-2",
	L"in-20",
	L"in-20_and",
	L"in-3",
	L"in-4",
	L"in-5",
	L"in-6",
	L"in-7",
	L"in-8",
	L"in-9",
	L"in-mi-3q",
	L"in-mi-aq",
	L"in_1000_feet-e",
	L"in_1000_feet-m",
	L"in_half_mile-e",
	L"in_half_mile-m",
	L"in_more_than",
	L"in_null",
	L"kilometers-e-1",
	L"kilometers-e-10",
	L"kilometers-e-100",
	L"kilometers-e-11",
	L"kilometers-e-12",
	L"kilometers-e-1x",
	L"kilometers-e-2",
	L"kilometers-e-20",
	L"kilometers-e-3",
	L"kilometers-e-30",
	L"kilometers-e-4",
	L"kilometers-e-5",
	L"kilometers-e-6",
	L"kilometers-e-7",
	L"kilometers-e-8",
	L"kilometers-e-9",
	L"kilometers-e-pt_1",
	L"kilometers-e-pt_2",
	L"kilometers-e-pt_3",
	L"kilometers-e-pt_4",
	L"kilometers-e-pt_5",
	L"kilometers-e-pt_6",
	L"kilometers-e-pt_7",
	L"kilometers-e-pt_8",
	L"kilometers-e-pt_9",
	L"kilometers-m-1",
	L"kilometers-m-10",
	L"kilometers-m-100",
	L"kilometers-m-11",
	L"kilometers-m-12",
	L"kilometers-m-1x",
	L"kilometers-m-2",
	L"kilometers-m-20",
	L"kilometers-m-3",
	L"kilometers-m-30",
	L"kilometers-m-4",
	L"kilometers-m-5",
	L"kilometers-m-6",
	L"kilometers-m-7",
	L"kilometers-m-8",
	L"kilometers-m-9",
	L"kilometers-m-pt_1",
	L"kilometers-m-pt_2",
	L"kilometers-m-pt_3",
	L"kilometers-m-pt_4",
	L"kilometers-m-pt_5",
	L"kilometers-m-pt_6",
	L"kilometers-m-pt_7",
	L"kilometers-m-pt_8",
	L"kilometers-m-pt_9",
	L"meters-e-10",
	L"meters-e-100",
	L"meters-e-20",
	L"meters-e-30",
	L"meters-m-10",
	L"meters-m-100",
	L"meters-m-20",
	L"meters-m-30",
	L"miles-e-1",
	L"miles-e-10",
	L"miles-e-100",
	L"miles-e-11",
	L"miles-e-12",
	L"miles-e-1x",
	L"miles-e-2",
	L"miles-e-20",
	L"miles-e-3",
	L"miles-e-30",
	L"miles-e-4",
	L"miles-e-5",
	L"miles-e-6",
	L"miles-e-7",
	L"miles-e-8",
	L"miles-e-9",
	L"miles-e-pt_1",
	L"miles-e-pt_2",
	L"miles-e-pt_3",
	L"miles-e-pt_4",
	L"miles-e-pt_5",
	L"miles-e-pt_6",
	L"miles-e-pt_7",
	L"miles-e-pt_8",
	L"miles-e-pt_9",
	L"miles-m-1",
	L"miles-m-10",
	L"miles-m-100",
	L"miles-m-11",
	L"miles-m-12",
	L"miles-m-1x",
	L"miles-m-2",
	L"miles-m-20",
	L"miles-m-3",
	L"miles-m-30",
	L"miles-m-4",
	L"miles-m-5",
	L"miles-m-6",
	L"miles-m-7",
	L"miles-m-8",
	L"miles-m-9",
	L"miles-m-pt_1",
	L"miles-m-pt_2",
	L"miles-m-pt_3",
	L"miles-m-pt_4",
	L"miles-m-pt_5",
	L"miles-m-pt_6",
	L"miles-m-pt_7",
	L"miles-m-pt_8",
	L"miles-m-pt_9",
	L"trip",
	L"trip-20",
	L"trip-20_and",
	L"trip-mi-3q",
	L"trip-mi-aq",
	L"trip_1000_feet-e",
	L"trip_half_mile-e",
	L"yards-e-10",
	L"yards-e-100",
	L"yards-e-20",
	L"yards-e-30",
	L"yards-m-10",
	L"yards-m-100",
	L"yards-m-20",
	L"yards-m-30",
}

distances.meters = {
	10, "\47\1\130\0\0\47\1\129\124\0\129\55\1\130\0\0\129\55\1\129\124\0\129\34\1\129\124\0\130\54\1\129\124\0",
	20, "\49\130\2\0\49\129\126\0\129\57\130\2\0\129\57\129\126\0\129\36\129\126\0\130\55\129\126\0",
	30, "\51\13\130\3\0\51\13\129\127\0\129\59\13\130\3\0\129\59\13\129\127\0\129\38\13\129\127\0\130\54\13\129\124\0",
	40, "\52\19\130\3\0\52\19\129\127\0\129\60\19\130\3\0\129\60\19\129\127\0\129\39\19\129\127\0\130\54\19\129\124\0",
	50, "\53\23\130\3\0\53\23\129\127\0\129\61\23\130\3\0\129\61\23\129\127\0\129\40\23\129\127\0\130\54\23\129\124\0",
	60, "\54\27\130\3\0\54\27\129\127\0\129\62\27\130\3\0\129\62\27\129\127\0\129\41\27\129\127\0\130\54\27\129\124\0",
	70, "\55\31\130\3\0\55\31\129\127\0\129\63\31\130\3\0\129\63\31\129\127\0\129\42\31\129\127\0\130\54\31\129\124\0",
	80, "\56\35\130\3\0\56\35\129\127\0\129\64\35\130\3\0\129\64\35\129\127\0\129\43\35\129\127\0\130\54\35\129\124\0",
	90, "\57\39\130\3\0\57\39\129\127\0\129\65\39\130\3\0\129\65\39\129\127\0\129\44\39\129\127\0\130\54\39\129\124\0",
	100, "\46\2\130\1\0\46\2\129\125\0\129\54\2\130\1\0\129\54\2\129\125\0\129\33\2\129\125\0\130\54\2\129\125\0",
	110, "\46\2\105\0\46\2\104\0\129\54\2\105\0\129\54\2\104\0\129\33\2\104\0\130\54\2\104\0",
	120, "\46\2\113\0\46\2\112\0\129\54\2\113\0\129\54\2\112\0\129\33\2\112\0\130\54\2\112\0",
	130, "\46\2\118\130\3\0\46\2\118\129\127\0\129\54\2\118\130\3\0\129\54\2\118\129\127\0\129\33\2\118\129\127\0\130\54\2\118\129\127\0",
	140, "\46\2\129\27\130\3\0\46\2\129\27\129\127\0\129\54\2\129\27\130\3\0\129\54\2\129\27\129\127\0\129\33\2\129\27\129\127\0\130\54\2\129\27\129\127\0",
	150, "\46\2\129\28\130\3\0\46\2\129\28\129\127\0\129\54\2\129\28\130\3\0\129\54\2\129\28\129\127\0\129\33\2\129\28\129\127\0\130\54\2\129\28\129\127\0",
	160, "\46\2\129\29\130\3\0\46\2\129\29\129\127\0\129\54\2\129\29\130\3\0\129\54\2\129\29\129\127\0\129\33\2\129\29\129\127\0\130\54\2\129\29\129\127\0",
	170, "\46\2\129\30\130\3\0\46\2\129\30\129\127\0\129\54\2\129\30\130\3\0\129\54\2\129\30\129\127\0\129\33\2\129\30\129\127\0\130\54\2\129\30\129\127\0",
	180, "\46\2\129\31\130\3\0\46\2\129\31\129\127\0\129\54\2\129\31\130\3\0\129\54\2\129\31\129\127\0\129\33\2\129\31\129\127\0\130\54\2\129\31\129\127\0",
	190, "\46\2\129\32\130\3\0\46\2\129\32\129\127\0\129\54\2\129\32\130\3\0\129\54\2\129\32\129\127\0\129\33\2\129\32\129\127\0\130\54\2\129\32\129\127\0",
	200, "\48\11\130\1\0\48\11\129\125\0\129\56\11\130\1\0\129\56\11\129\125\0\129\35\11\129\125\0\130\54\11\129\125\0",
	210, "\48\11\105\0\48\11\104\0\129\56\11\105\0\129\56\11\104\0\129\35\11\104\0\130\54\11\104\0",
	220, "\48\11\113\0\48\11\112\0\129\56\11\113\0\129\56\11\112\0\129\35\11\112\0\130\54\11\112\0",
	230, "\48\11\118\130\3\0\48\11\118\129\127\0\129\56\11\118\130\3\0\129\56\11\118\129\127\0\129\35\11\118\129\127\0\130\54\11\118\129\127\0",
	240, "\48\11\129\27\130\3\0\48\11\129\27\129\127\0\129\56\11\129\27\130\3\0\129\56\11\129\27\129\127\0\129\35\11\129\27\129\127\0\130\54\11\129\27\129\127\0",
	250, "\48\11\129\28\130\3\0\48\11\129\28\129\127\0\129\56\11\129\28\130\3\0\129\56\11\129\28\129\127\0\129\35\11\129\28\129\127\0\130\54\11\129\28\129\127\0",
	260, "\48\11\129\29\130\3\0\48\11\129\29\129\127\0\129\56\11\129\29\130\3\0\129\56\11\129\29\129\127\0\129\35\11\129\29\129\127\0\130\54\11\129\29\129\127\0",
	270, "\48\11\129\30\130\3\0\48\11\129\30\129\127\0\129\56\11\129\30\130\3\0\129\56\11\129\30\129\127\0\129\35\11\129\30\129\127\0\130\54\11\129\30\129\127\0",
	280, "\48\11\129\31\130\3\0\48\11\129\31\129\127\0\129\56\11\129\31\130\3\0\129\56\11\129\31\129\127\0\129\35\11\129\31\129\127\0\130\54\11\129\31\129\127\0",
	290, "\48\11\129\32\130\3\0\48\11\129\32\129\127\0\129\56\11\129\32\130\3\0\129\56\11\129\32\129\127\0\129\35\11\129\32\129\127\0\130\54\11\129\32\129\127\0",
	300, "\51\14\130\1\0\51\14\129\125\0\129\59\14\130\1\0\129\59\14\129\125\0\129\38\14\129\125\0\130\54\14\129\125\0",
	310, "\51\14\105\0\51\14\104\0\129\59\14\105\0\129\59\14\104\0\129\38\14\104\0\130\54\14\104\0",
	320, "\51\14\113\0\51\14\112\0\129\59\14\113\0\129\59\14\112\0\129\38\14\112\0\130\54\14\112\0",
	330, "\51\14\118\130\3\0\51\14\118\129\127\0\129\59\14\118\130\3\0\129\59\14\118\129\127\0\129\38\14\118\129\127\0\130\54\14\118\129\127\0",
	340, "\51\14\129\27\130\3\0\51\14\129\27\129\127\0\129\59\14\129\27\130\3\0\129\59\14\129\27\129\127\0\129\38\14\129\27\129\127\0\130\54\14\129\27\129\127\0",
	350, "\51\14\129\28\130\3\0\51\14\129\28\129\127\0\129\59\14\129\28\130\3\0\129\59\14\129\28\129\127\0\129\38\14\129\28\129\127\0\130\54\14\129\28\129\127\0",
	360, "\51\14\129\29\130\3\0\51\14\129\29\129\127\0\129\59\14\129\29\130\3\0\129\59\14\129\29\129\127\0\129\38\14\129\29\129\127\0\130\54\14\129\29\129\127\0",
	370, "\51\14\129\30\130\3\0\51\14\129\30\129\127\0\129\59\14\129\30\130\3\0\129\59\14\129\30\129\127\0\129\38\14\129\30\129\127\0\130\54\14\129\30\129\127\0",
	380, "\51\14\129\31\130\3\0\51\14\129\31\129\127\0\129\59\14\129\31\130\3\0\129\59\14\129\31\129\127\0\129\38\14\129\31\129\127\0\130\54\14\129\31\129\127\0",
	390, "\51\14\129\32\130\3\0\51\14\129\32\129\127\0\129\59\14\129\32\130\3\0\129\59\14\129\32\129\127\0\129\38\14\129\32\129\127\0\130\54\14\129\32\129\127\0",
	400, "\52\20\130\1\0\52\20\129\125\0\129\60\20\130\1\0\129\60\20\129\125\0\129\39\20\129\125\0\130\54\20\129\125\0",
	410, "\52\20\105\0\52\20\104\0\129\60\20\105\0\129\60\20\104\0\129\39\20\104\0\130\54\20\104\0",
	420, "\52\20\113\0\52\20\112\0\129\60\20\113\0\129\60\20\112\0\129\39\20\112\0\130\54\20\112\0",
	430, "\52\20\118\130\3\0\52\20\118\129\127\0\129\60\20\118\130\3\0\129\60\20\118\129\127\0\129\39\20\118\129\127\0\130\54\20\118\129\127\0",
	440, "\52\20\129\27\130\3\0\52\20\129\27\129\127\0\129\60\20\129\27\130\3\0\129\60\20\129\27\129\127\0\129\39\20\129\27\129\127\0\130\54\20\129\27\129\127\0",
	450, "\52\20\129\28\130\3\0\52\20\129\28\129\127\0\129\60\20\129\28\130\3\0\129\60\20\129\28\129\127\0\129\39\20\129\28\129\127\0\130\54\20\129\28\129\127\0",
	460, "\52\20\129\29\130\3\0\52\20\129\29\129\127\0\129\60\20\129\29\130\3\0\129\60\20\129\29\129\127\0\129\39\20\129\29\129\127\0\130\54\20\129\29\129\127\0",
	470, "\52\20\129\30\130\3\0\52\20\129\30\129\127\0\129\60\20\129\30\130\3\0\129\60\20\129\30\129\127\0\129\39\20\129\30\129\127\0\130\54\20\129\30\129\127\0",
	480, "\52\20\129\31\130\3\0\52\20\129\31\129\127\0\129\60\20\129\31\130\3\0\129\60\20\129\31\129\127\0\129\39\20\129\31\129\127\0\130\54\20\129\31\129\127\0",
	490, "\52\20\129\32\130\3\0\52\20\129\32\129\127\0\129\60\20\129\32\130\3\0\129\60\20\129\32\129\127\0\129\39\20\129\32\129\127\0\130\54\20\129\32\129\127\0",
	500, "\53\24\130\1\0\53\24\129\125\0\129\61\24\130\1\0\129\61\24\129\125\0\129\40\24\129\125\0\130\54\24\129\125\0",
	510, "\53\24\105\0\53\24\104\0\129\61\24\105\0\129\61\24\104\0\129\40\24\104\0\130\54\24\104\0",
	520, "\53\24\113\0\53\24\112\0\129\61\24\113\0\129\61\24\112\0\129\40\24\112\0\130\54\24\112\0",
	530, "\53\24\118\130\3\0\53\24\118\129\127\0\129\61\24\118\130\3\0\129\61\24\118\129\127\0\129\40\24\118\129\127\0\130\54\24\118\129\127\0",
	540, "\53\24\129\27\130\3\0\53\24\129\27\129\127\0\129\61\24\129\27\130\3\0\129\61\24\129\27\129\127\0\129\40\24\129\27\129\127\0\130\54\24\129\27\129\127\0",
	550, "\53\24\129\28\130\3\0\53\24\129\28\129\127\0\129\61\24\129\28\130\3\0\129\61\24\129\28\129\127\0\129\40\24\129\28\129\127\0\130\54\24\129\28\129\127\0",
	560, "\53\24\129\29\130\3\0\53\24\129\29\129\127\0\129\61\24\129\29\130\3\0\129\61\24\129\29\129\127\0\129\40\24\129\29\129\127\0\130\54\24\129\29\129\127\0",
	570, "\53\24\129\30\130\3\0\53\24\129\30\129\127\0\129\61\24\129\30\130\3\0\129\61\24\129\30\129\127\0\129\40\24\129\30\129\127\0\130\54\24\129\30\129\127\0",
	580, "\53\24\129\31\130\3\0\53\24\129\31\129\127\0\129\61\24\129\31\130\3\0\129\61\24\129\31\129\127\0\129\40\24\129\31\129\127\0\130\54\24\129\31\129\127\0",
	590, "\53\24\129\32\130\3\0\53\24\129\32\129\127\0\129\61\24\129\32\130\3\0\129\61\24\129\32\129\127\0\129\40\24\129\32\129\127\0\130\54\24\129\32\129\127\0",
	600, "\54\28\130\1\0\54\28\129\125\0\129\62\28\130\1\0\129\62\28\129\125\0\129\41\28\129\125\0\130\54\28\129\125\0",
	610, "\54\28\105\0\54\28\104\0\129\62\28\105\0\129\62\28\104\0\129\41\28\104\0\130\54\28\104\0",
	620, "\54\28\113\0\54\28\112\0\129\62\28\113\0\129\62\28\112\0\129\41\28\112\0\130\54\28\112\0",
	630, "\54\28\118\130\3\0\54\28\118\129\127\0\129\62\28\118\130\3\0\129\62\28\118\129\127\0\129\41\28\118\129\127\0\130\54\28\118\129\127\0",
	640, "\54\28\129\27\130\3\0\54\28\129\27\129\127\0\129\62\28\129\27\130\3\0\129\62\28\129\27\129\127\0\129\41\28\129\27\129\127\0\130\54\28\129\27\129\127\0",
	650, "\54\28\129\28\130\3\0\54\28\129\28\129\127\0\129\62\28\129\28\130\3\0\129\62\28\129\28\129\127\0\129\41\28\129\28\129\127\0\130\54\28\129\28\129\127\0",
	660, "\54\28\129\29\130\3\0\54\28\129\29\129\127\0\129\62\28\129\29\130\3\0\129\62\28\129\29\129\127\0\129\41\28\129\29\129\127\0\130\54\28\129\29\129\127\0",
	670, "\54\28\129\30\130\3\0\54\28\129\30\129\127\0\129\62\28\129\30\130\3\0\129\62\28\129\30\129\127\0\129\41\28\129\30\129\127\0\130\54\28\129\30\129\127\0",
	680, "\54\28\129\31\130\3\0\54\28\129\31\129\127\0\129\62\28\129\31\130\3\0\129\62\28\129\31\129\127\0\129\41\28\129\31\129\127\0\130\54\28\129\31\129\127\0",
	690, "\54\28\129\32\130\3\0\54\28\129\32\129\127\0\129\62\28\129\32\130\3\0\129\62\28\129\32\129\127\0\129\41\28\129\32\129\127\0\130\54\28\129\32\129\127\0",
	700, "\55\32\130\1\0\55\32\129\125\0\129\63\32\130\1\0\129\63\32\129\125\0\129\42\32\129\125\0\130\54\32\129\125\0",
	710, "\55\32\105\0\55\32\104\0\129\63\32\105\0\129\63\32\104\0\129\42\32\104\0\130\54\32\104\0",
	720, "\55\32\113\0\55\32\112\0\129\63\32\113\0\129\63\32\112\0\129\42\32\112\0\130\54\32\112\0",
	730, "\55\32\118\130\3\0\55\32\118\129\127\0\129\63\32\118\130\3\0\129\63\32\118\129\127\0\129\42\32\118\129\127\0\130\54\32\118\129\127\0",
	740, "\55\32\129\27\130\3\0\55\32\129\27\129\127\0\129\63\32\129\27\130\3\0\129\63\32\129\27\129\127\0\129\42\32\129\27\129\127\0\130\54\32\129\27\129\127\0",
	750, "\55\32\129\28\130\3\0\55\32\129\28\129\127\0\129\63\32\129\28\130\3\0\129\63\32\129\28\129\127\0\129\42\32\129\28\129\127\0\130\54\32\129\28\129\127\0",
	760, "\55\32\129\29\130\3\0\55\32\129\29\129\127\0\129\63\32\129\29\130\3\0\129\63\32\129\29\129\127\0\129\42\32\129\29\129\127\0\130\54\32\129\29\129\127\0",
	770, "\55\32\129\30\130\3\0\55\32\129\30\129\127\0\129\63\32\129\30\130\3\0\129\63\32\129\30\129\127\0\129\42\32\129\30\129\127\0\130\54\32\129\30\129\127\0",
	780, "\55\32\129\31\130\3\0\55\32\129\31\129\127\0\129\63\32\129\31\130\3\0\129\63\32\129\31\129\127\0\129\42\32\129\31\129\127\0\130\54\32\129\31\129\127\0",
	790, "\55\32\129\32\130\3\0\55\32\129\32\129\127\0\129\63\32\129\32\130\3\0\129\63\32\129\32\129\127\0\129\42\32\129\32\129\127\0\130\54\32\129\32\129\127\0",
	800, "\56\36\130\1\0\56\36\129\125\0\129\64\36\130\1\0\129\64\36\129\125\0\129\43\36\129\125\0\130\54\36\129\125\0",
	810, "\56\36\105\0\56\36\104\0\129\64\36\105\0\129\64\36\104\0\129\43\36\104\0\130\54\36\104\0",
	820, "\56\36\113\0\56\36\112\0\129\64\36\113\0\129\64\36\112\0\129\43\36\112\0\130\54\36\112\0",
	830, "\56\36\118\130\3\0\56\36\118\129\127\0\129\64\36\118\130\3\0\129\64\36\118\129\127\0\129\43\36\118\129\127\0\130\54\36\118\129\127\0",
	840, "\56\36\129\27\130\3\0\56\36\129\27\129\127\0\129\64\36\129\27\130\3\0\129\64\36\129\27\129\127\0\129\43\36\129\27\129\127\0\130\54\36\129\27\129\127\0",
	850, "\56\36\129\28\130\3\0\56\36\129\28\129\127\0\129\64\36\129\28\130\3\0\129\64\36\129\28\129\127\0\129\43\36\129\28\129\127\0\130\54\36\129\28\129\127\0",
	860, "\56\36\129\29\130\3\0\56\36\129\29\129\127\0\129\64\36\129\29\130\3\0\129\64\36\129\29\129\127\0\129\43\36\129\29\129\127\0\130\54\36\129\29\129\127\0",
	870, "\56\36\129\30\130\3\0\56\36\129\30\129\127\0\129\64\36\129\30\130\3\0\129\64\36\129\30\129\127\0\129\43\36\129\30\129\127\0\130\54\36\129\30\129\127\0",
	880, "\56\36\129\31\130\3\0\56\36\129\31\129\127\0\129\64\36\129\31\130\3\0\129\64\36\129\31\129\127\0\129\43\36\129\31\129\127\0\130\54\36\129\31\129\127\0",
	890, "\56\36\129\32\130\3\0\56\36\129\32\129\127\0\129\64\36\129\32\130\3\0\129\64\36\129\32\129\127\0\129\43\36\129\32\129\127\0\130\54\36\129\32\129\127\0",
	900, "\57\40\130\1\0\57\40\129\125\0\129\65\40\130\1\0\129\65\40\129\125\0\129\44\40\129\125\0\130\54\40\129\125\0",
	910, "\57\40\105\0\57\40\104\0\129\65\40\105\0\129\65\40\104\0\129\44\40\104\0\130\54\40\104\0",
	920, "\57\40\113\0\57\40\112\0\129\65\40\113\0\129\65\40\112\0\129\44\40\112\0\130\54\40\112\0",
	930, "\57\40\118\130\3\0\57\40\118\129\127\0\129\65\40\118\130\3\0\129\65\40\118\129\127\0\129\44\40\118\129\127\0\130\54\40\118\129\127\0",
	940, "\57\40\129\27\130\3\0\57\40\129\27\129\127\0\129\65\40\129\27\130\3\0\129\65\40\129\27\129\127\0\129\44\40\129\27\129\127\0\130\54\40\129\27\129\127\0",
	950, "\57\40\129\28\130\3\0\57\40\129\28\129\127\0\129\65\40\129\28\130\3\0\129\65\40\129\28\129\127\0\129\44\40\129\28\129\127\0\130\54\40\129\28\129\127\0",
	960, "\57\40\129\29\130\3\0\57\40\129\29\129\127\0\129\65\40\129\29\130\3\0\129\65\40\129\29\129\127\0\129\44\40\129\29\129\127\0\130\54\40\129\29\129\127\0",
	970, "\57\40\129\30\130\3\0\57\40\129\30\129\127\0\129\65\40\129\30\130\3\0\129\65\40\129\30\129\127\0\129\44\40\129\30\129\127\0\130\54\40\129\30\129\127\0",
	980, "\57\40\129\31\130\3\0\57\40\129\31\129\127\0\129\65\40\129\31\130\3\0\129\65\40\129\31\129\127\0\129\44\40\129\31\129\127\0\130\54\40\129\31\129\127\0",
	990, "\57\40\129\32\130\3\0\57\40\129\32\129\127\0\129\65\40\129\32\130\3\0\129\65\40\129\32\129\127\0\129\44\40\129\32\129\127\0\130\54\40\129\32\129\127\0",
	1000, "\46\129\99\0\46\129\74\0\129\54\129\99\0\129\54\129\74\0\129\33\129\74\0\130\54\129\74\0",
	1100, "\46\10\129\115\0\46\10\129\90\0\129\54\10\129\115\0\129\54\10\129\90\0\129\33\10\129\90\0\130\54\10\129\90\0",
	1200, "\46\10\129\116\0\46\10\129\91\0\129\54\10\129\116\0\129\54\10\129\91\0\129\33\10\129\91\0\130\54\10\129\91\0",
	1300, "\46\10\129\117\0\46\10\129\92\0\129\54\10\129\117\0\129\54\10\129\92\0\129\33\10\129\92\0\130\54\10\129\92\0",
	1400, "\46\10\129\118\0\46\10\129\93\0\129\54\10\129\118\0\129\54\10\129\93\0\129\33\10\129\93\0\130\54\10\129\93\0",
	1500, "\46\10\129\119\0\46\10\129\94\0\129\54\10\129\119\0\129\54\10\129\94\0\129\33\10\129\94\0\130\54\10\129\94\0",
	1600, "\46\10\129\120\0\46\10\129\95\0\129\54\10\129\120\0\129\54\10\129\95\0\129\33\10\129\95\0\130\54\10\129\95\0",
	1700, "\46\10\129\121\0\46\10\129\96\0\129\54\10\129\121\0\129\54\10\129\96\0\129\33\10\129\96\0\130\54\10\129\96\0",
	1800, "\46\10\129\122\0\46\10\129\97\0\129\54\10\129\122\0\129\54\10\129\97\0\129\33\10\129\97\0\130\54\10\129\97\0",
	1900, "\46\10\129\123\0\46\10\129\98\0\129\54\10\129\123\0\129\54\10\129\98\0\129\33\10\129\98\0\130\54\10\129\98\0",
	2000, "\48\129\105\0\48\129\80\0\129\56\129\105\0\129\56\129\80\0\129\35\129\80\0\130\54\129\80\0",
	2100, "\48\12\129\115\0\48\12\129\90\0\129\56\12\129\115\0\129\56\12\129\90\0\129\35\12\129\90\0\130\54\12\129\90\0",
	2200, "\48\12\129\116\0\48\12\129\91\0\129\56\12\129\116\0\129\56\12\129\91\0\129\35\12\129\91\0\130\54\12\129\91\0",
	2300, "\48\12\129\117\0\48\12\129\92\0\129\56\12\129\117\0\129\56\12\129\92\0\129\35\12\129\92\0\130\54\12\129\92\0",
	2400, "\48\12\129\118\0\48\12\129\93\0\129\56\12\129\118\0\129\56\12\129\93\0\129\35\12\129\93\0\130\54\12\129\93\0",
	2500, "\48\12\129\119\0\48\12\129\94\0\129\56\12\129\119\0\129\56\12\129\94\0\129\35\12\129\94\0\130\54\12\129\94\0",
	2600, "\48\12\129\120\0\48\12\129\95\0\129\56\12\129\120\0\129\56\12\129\95\0\129\35\12\129\95\0\130\54\12\129\95\0",
	2700, "\48\12\129\121\0\48\12\129\96\0\129\56\12\129\121\0\129\56\12\129\96\0\129\35\12\129\96\0\130\54\12\129\96\0",
	2800, "\48\12\129\122\0\48\12\129\97\0\129\56\12\129\122\0\129\56\12\129\97\0\129\35\12\129\97\0\130\54\12\129\97\0",
	2900, "\48\12\129\123\0\48\12\129\98\0\129\56\12\129\123\0\129\56\12\129\98\0\129\35\12\129\98\0\130\54\12\129\98\0",
	3000, "\51\129\107\0\51\129\82\0\129\59\129\107\0\129\59\129\82\0\129\38\129\82\0\130\54\129\82\0",
	3100, "\51\16\129\115\0\51\16\129\90\0\129\59\16\129\115\0\129\59\16\129\90\0\129\38\16\129\90\0\130\54\16\129\90\0",
	3200, "\51\16\129\116\0\51\16\129\91\0\129\59\16\129\116\0\129\59\16\129\91\0\129\38\16\129\91\0\130\54\16\129\91\0",
	3300, "\51\16\129\117\0\51\16\129\92\0\129\59\16\129\117\0\129\59\16\129\92\0\129\38\16\129\92\0\130\54\16\129\92\0",
	3400, "\51\16\129\118\0\51\16\129\93\0\129\59\16\129\118\0\129\59\16\129\93\0\129\38\16\129\93\0\130\54\16\129\93\0",
	3500, "\51\16\129\119\0\51\16\129\94\0\129\59\16\129\119\0\129\59\16\129\94\0\129\38\16\129\94\0\130\54\16\129\94\0",
	3600, "\51\16\129\120\0\51\16\129\95\0\129\59\16\129\120\0\129\59\16\129\95\0\129\38\16\129\95\0\130\54\16\129\95\0",
	3700, "\51\16\129\121\0\51\16\129\96\0\129\59\16\129\121\0\129\59\16\129\96\0\129\38\16\129\96\0\130\54\16\129\96\0",
	3800, "\51\16\129\122\0\51\16\129\97\0\129\59\16\129\122\0\129\59\16\129\97\0\129\38\16\129\97\0\130\54\16\129\97\0",
	3900, "\51\16\129\123\0\51\16\129\98\0\129\59\16\129\123\0\129\59\16\129\98\0\129\38\16\129\98\0\130\54\16\129\98\0",
	4000, "\52\129\109\0\52\129\84\0\129\60\129\109\0\129\60\129\84\0\129\39\129\84\0\130\54\129\84\0",
	4100, "\52\22\129\115\0\52\22\129\90\0\129\60\22\129\115\0\129\60\22\129\90\0\129\39\22\129\90\0\130\54\22\129\90\0",
	4200, "\52\22\129\116\0\52\22\129\91\0\129\60\22\129\116\0\129\60\22\129\91\0\129\39\22\129\91\0\130\54\22\129\91\0",
	4300, "\52\22\129\117\0\52\22\129\92\0\129\60\22\129\117\0\129\60\22\129\92\0\129\39\22\129\92\0\130\54\22\129\92\0",
	4400, "\52\22\129\118\0\52\22\129\93\0\129\60\22\129\118\0\129\60\22\129\93\0\129\39\22\129\93\0\130\54\22\129\93\0",
	4500, "\52\22\129\119\0\52\22\129\94\0\129\60\22\129\119\0\129\60\22\129\94\0\129\39\22\129\94\0\130\54\22\129\94\0",
	4600, "\52\22\129\120\0\52\22\129\95\0\129\60\22\129\120\0\129\60\22\129\95\0\129\39\22\129\95\0\130\54\22\129\95\0",
	4700, "\52\22\129\121\0\52\22\129\96\0\129\60\22\129\121\0\129\60\22\129\96\0\129\39\22\129\96\0\130\54\22\129\96\0",
	4800, "\52\22\129\122\0\52\22\129\97\0\129\60\22\129\122\0\129\60\22\129\97\0\129\39\22\129\97\0\130\54\22\129\97\0",
	4900, "\52\22\129\123\0\52\22\129\98\0\129\60\22\129\123\0\129\60\22\129\98\0\129\39\22\129\98\0\130\54\22\129\98\0",
	5000, "\53\129\110\0\53\129\85\0\129\61\129\110\0\129\61\129\85\0\129\40\129\85\0\130\54\129\85\0",
	5100, "\53\26\129\115\0\53\26\129\90\0\129\61\26\129\115\0\129\61\26\129\90\0\129\40\26\129\90\0\130\54\26\129\90\0",
	5200, "\53\26\129\116\0\53\26\129\91\0\129\61\26\129\116\0\129\61\26\129\91\0\129\40\26\129\91\0\130\54\26\129\91\0",
	5300, "\53\26\129\117\0\53\26\129\92\0\129\61\26\129\117\0\129\61\26\129\92\0\129\40\26\129\92\0\130\54\26\129\92\0",
	5400, "\53\26\129\118\0\53\26\129\93\0\129\61\26\129\118\0\129\61\26\129\93\0\129\40\26\129\93\0\130\54\26\129\93\0",
	5500, "\53\26\129\119\0\53\26\129\94\0\129\61\26\129\119\0\129\61\26\129\94\0\129\40\26\129\94\0\130\54\26\129\94\0",
	5600, "\53\26\129\120\0\53\26\129\95\0\129\61\26\129\120\0\129\61\26\129\95\0\129\40\26\129\95\0\130\54\26\129\95\0",
	5700, "\53\26\129\121\0\53\26\129\96\0\129\61\26\129\121\0\129\61\26\129\96\0\129\40\26\129\96\0\130\54\26\129\96\0",
	5800, "\53\26\129\122\0\53\26\129\97\0\129\61\26\129\122\0\129\61\26\129\97\0\129\40\26\129\97\0\130\54\26\129\97\0",
	5900, "\53\26\129\123\0\53\26\129\98\0\129\61\26\129\123\0\129\61\26\129\98\0\129\40\26\129\98\0\130\54\26\129\98\0",
	6000, "\54\129\111\0\54\129\86\0\129\62\129\111\0\129\62\129\86\0\129\41\129\86\0\130\54\129\86\0",
	6100, "\54\30\129\115\0\54\30\129\90\0\129\62\30\129\115\0\129\62\30\129\90\0\129\41\30\129\90\0\130\54\30\129\90\0",
	6200, "\54\30\129\116\0\54\30\129\91\0\129\62\30\129\116\0\129\62\30\129\91\0\129\41\30\129\91\0\130\54\30\129\91\0",
	6300, "\54\30\129\117\0\54\30\129\92\0\129\62\30\129\117\0\129\62\30\129\92\0\129\41\30\129\92\0\130\54\30\129\92\0",
	6400, "\54\30\129\118\0\54\30\129\93\0\129\62\30\129\118\0\129\62\30\129\93\0\129\41\30\129\93\0\130\54\30\129\93\0",
	6500, "\54\30\129\119\0\54\30\129\94\0\129\62\30\129\119\0\129\62\30\129\94\0\129\41\30\129\94\0\130\54\30\129\94\0",
	6600, "\54\30\129\120\0\54\30\129\95\0\129\62\30\129\120\0\129\62\30\129\95\0\129\41\30\129\95\0\130\54\30\129\95\0",
	6700, "\54\30\129\121\0\54\30\129\96\0\129\62\30\129\121\0\129\62\30\129\96\0\129\41\30\129\96\0\130\54\30\129\96\0",
	6800, "\54\30\129\122\0\54\30\129\97\0\129\62\30\129\122\0\129\62\30\129\97\0\129\41\30\129\97\0\130\54\30\129\97\0",
	6900, "\54\30\129\123\0\54\30\129\98\0\129\62\30\129\123\0\129\62\30\129\98\0\129\41\30\129\98\0\130\54\30\129\98\0",
	7000, "\55\129\112\0\55\129\87\0\129\63\129\112\0\129\63\129\87\0\129\42\129\87\0\130\54\129\87\0",
	7100, "\55\34\129\115\0\55\34\129\90\0\129\63\34\129\115\0\129\63\34\129\90\0\129\42\34\129\90\0\130\54\34\129\90\0",
	7200, "\55\34\129\116\0\55\34\129\91\0\129\63\34\129\116\0\129\63\34\129\91\0\129\42\34\129\91\0\130\54\34\129\91\0",
	7300, "\55\34\129\117\0\55\34\129\92\0\129\63\34\129\117\0\129\63\34\129\92\0\129\42\34\129\92\0\130\54\34\129\92\0",
	7400, "\55\34\129\118\0\55\34\129\93\0\129\63\34\129\118\0\129\63\34\129\93\0\129\42\34\129\93\0\130\54\34\129\93\0",
	7500, "\55\34\129\119\0\55\34\129\94\0\129\63\34\129\119\0\129\63\34\129\94\0\129\42\34\129\94\0\130\54\34\129\94\0",
	7600, "\55\34\129\120\0\55\34\129\95\0\129\63\34\129\120\0\129\63\34\129\95\0\129\42\34\129\95\0\130\54\34\129\95\0",
	7700, "\55\34\129\121\0\55\34\129\96\0\129\63\34\129\121\0\129\63\34\129\96\0\129\42\34\129\96\0\130\54\34\129\96\0",
	7800, "\55\34\129\122\0\55\34\129\97\0\129\63\34\129\122\0\129\63\34\129\97\0\129\42\34\129\97\0\130\54\34\129\97\0",
	7900, "\55\34\129\123\0\55\34\129\98\0\129\63\34\129\123\0\129\63\34\129\98\0\129\42\34\129\98\0\130\54\34\129\98\0",
	8000, "\56\129\113\0\56\129\88\0\129\64\129\113\0\129\64\129\88\0\129\43\129\88\0\130\54\129\88\0",
	8100, "\56\38\129\115\0\56\38\129\90\0\129\64\38\129\115\0\129\64\38\129\90\0\129\43\38\129\90\0\130\54\38\129\90\0",
	8200, "\56\38\129\116\0\56\38\129\91\0\129\64\38\129\116\0\129\64\38\129\91\0\129\43\38\129\91\0\130\54\38\129\91\0",
	8300, "\56\38\129\117\0\56\38\129\92\0\129\64\38\129\117\0\129\64\38\129\92\0\129\43\38\129\92\0\130\54\38\129\92\0",
	8400, "\56\38\129\118\0\56\38\129\93\0\129\64\38\129\118\0\129\64\38\129\93\0\129\43\38\129\93\0\130\54\38\129\93\0",
	8500, "\56\38\129\119\0\56\38\129\94\0\129\64\38\129\119\0\129\64\38\129\94\0\129\43\38\129\94\0\130\54\38\129\94\0",
	8600, "\56\38\129\120\0\56\38\129\95\0\129\64\38\129\120\0\129\64\38\129\95\0\129\43\38\129\95\0\130\54\38\129\95\0",
	8700, "\56\38\129\121\0\56\38\129\96\0\129\64\38\129\121\0\129\64\38\129\96\0\129\43\38\129\96\0\130\54\38\129\96\0",
	8800, "\56\38\129\122\0\56\38\129\97\0\129\64\38\129\122\0\129\64\38\129\97\0\129\43\38\129\97\0\130\54\38\129\97\0",
	8900, "\56\38\129\123\0\56\38\129\98\0\129\64\38\129\123\0\129\64\38\129\98\0\129\43\38\129\98\0\130\54\38\129\98\0",
	9000, "\57\129\114\0\57\129\89\0\129\65\129\114\0\129\65\129\89\0\129\44\129\89\0\130\54\129\89\0",
	9100, "\57\42\129\115\0\57\42\129\90\0\129\65\42\129\115\0\129\65\42\129\90\0\129\44\42\129\90\0\130\54\42\129\90\0",
	9200, "\57\42\129\116\0\57\42\129\91\0\129\65\42\129\116\0\129\65\42\129\91\0\129\44\42\129\91\0\130\54\42\129\91\0",
	9300, "\57\42\129\117\0\57\42\129\92\0\129\65\42\129\117\0\129\65\42\129\92\0\129\44\42\129\92\0\130\54\42\129\92\0",
	9400, "\57\42\129\118\0\57\42\129\93\0\129\65\42\129\118\0\129\65\42\129\93\0\129\44\42\129\93\0\130\54\42\129\93\0",
	9500, "\57\42\129\119\0\57\42\129\94\0\129\65\42\129\119\0\129\65\42\129\94\0\129\44\42\129\94\0\130\54\42\129\94\0",
	9600, "\57\42\129\120\0\57\42\129\95\0\129\65\42\129\120\0\129\65\42\129\95\0\129\44\42\129\95\0\130\54\42\129\95\0",
	9700, "\57\42\129\121\0\57\42\129\96\0\129\65\42\129\121\0\129\65\42\129\96\0\129\44\42\129\96\0\130\54\42\129\96\0",
	9800, "\57\42\129\122\0\57\42\129\97\0\129\65\42\129\122\0\129\65\42\129\97\0\129\44\42\129\97\0\130\54\42\129\97\0",
	9900, "\57\42\129\123\0\57\42\129\98\0\129\65\42\129\123\0\129\65\42\129\98\0\129\44\42\129\98\0\130\54\42\129\98\0",
	10000, "\47\129\100\0\47\129\75\0\129\55\129\100\0\129\55\129\75\0\129\34\129\75\0\43\1\129\75\0",
	11000, "\46\129\102\0\46\129\77\0\129\54\129\102\0\129\54\129\77\0\129\33\129\77\0\43\129\77\0",
	12000, "\48\129\103\0\48\129\78\0\129\56\129\103\0\129\56\129\78\0\129\35\129\78\0\43\129\78\0",
	13000, "\51\3\129\104\0\51\3\129\79\0\129\59\3\129\104\0\129\59\3\129\79\0\129\38\3\129\79\0\43\3\129\75\0",
	14000, "\52\4\129\104\0\52\4\129\79\0\129\60\4\129\104\0\129\60\4\129\79\0\129\39\4\129\79\0\43\4\129\75\0",
	15000, "\53\5\129\104\0\53\5\129\79\0\129\61\5\129\104\0\129\61\5\129\79\0\129\40\5\129\79\0\43\5\129\75\0",
	16000, "\54\6\129\104\0\54\6\129\79\0\129\62\6\129\104\0\129\62\6\129\79\0\129\41\6\129\79\0\43\6\129\75\0",
	17000, "\55\7\129\104\0\55\7\129\79\0\129\63\7\129\104\0\129\63\7\129\79\0\129\42\7\129\79\0\43\7\129\75\0",
	18000, "\56\8\129\104\0\56\8\129\79\0\129\64\8\129\104\0\129\64\8\129\79\0\129\43\8\129\79\0\43\8\129\75\0",
	19000, "\57\9\129\104\0\57\9\129\79\0\129\65\9\129\104\0\129\65\9\129\79\0\129\44\9\129\79\0\43\9\129\75\0",
	20000, "\49\129\106\0\49\129\81\0\129\57\129\106\0\129\57\129\81\0\129\36\129\81\0\130\55\129\81\0",
	21000, "\50\67\0\50\66\0\129\58\67\0\129\58\66\0\129\37\66\0\130\56\66\0",
	22000, "\50\71\0\50\70\0\129\58\71\0\129\58\70\0\129\37\70\0\130\56\70\0",
	23000, "\50\75\0\50\74\0\129\58\75\0\129\58\74\0\129\37\74\0\130\56\74\0",
	24000, "\50\79\0\50\78\0\129\58\79\0\129\58\78\0\129\37\78\0\130\56\78\0",
	25000, "\50\83\0\50\82\0\129\58\83\0\129\58\82\0\129\37\82\0\130\56\82\0",
	26000, "\50\87\0\50\86\0\129\58\87\0\129\58\86\0\129\37\86\0\130\56\86\0",
	27000, "\50\91\0\50\90\0\129\58\91\0\129\58\90\0\129\37\90\0\130\56\90\0",
	28000, "\50\95\0\50\94\0\129\58\95\0\129\58\94\0\129\37\94\0\130\56\94\0",
	29000, "\50\99\0\50\98\0\129\58\99\0\129\58\98\0\129\37\98\0\130\56\98\0",
	30000, "\51\13\129\108\0\51\13\129\83\0\129\59\13\129\108\0\129\59\13\129\83\0\129\38\13\129\83\0\130\54\13\129\83\0",
	31000, "\51\15\120\0\51\15\119\0\129\59\15\120\0\129\59\15\119\0\129\38\15\119\0\130\54\15\119\0",
	32000, "\51\15\124\0\51\15\123\0\129\59\15\124\0\129\59\15\123\0\129\38\15\123\0\130\54\15\123\0",
	33000, "\51\15\129\0\0\51\15\127\0\129\59\15\129\0\0\129\59\15\127\0\129\38\15\127\0\130\54\15\127\0",
	34000, "\51\15\129\4\0\51\15\129\3\0\129\59\15\129\4\0\129\59\15\129\3\0\129\38\15\129\3\0\130\54\15\129\3\0",
	35000, "\51\15\129\8\0\51\15\129\7\0\129\59\15\129\8\0\129\59\15\129\7\0\129\38\15\129\7\0\130\54\15\129\7\0",
	36000, "\51\15\129\12\0\51\15\129\11\0\129\59\15\129\12\0\129\59\15\129\11\0\129\38\15\129\11\0\130\54\15\129\11\0",
	37000, "\51\15\129\16\0\51\15\129\15\0\129\59\15\129\16\0\129\59\15\129\15\0\129\38\15\129\15\0\130\54\15\129\15\0",
	38000, "\51\15\129\20\0\51\15\129\19\0\129\59\15\129\20\0\129\59\15\129\19\0\129\38\15\129\19\0\130\54\15\129\19\0",
	39000, "\51\15\129\24\0\51\15\129\23\0\129\59\15\129\24\0\129\59\15\129\23\0\129\38\15\129\23\0\130\54\15\129\23\0",
	40000, "\52\19\129\108\0\52\19\129\83\0\129\60\19\129\108\0\129\60\19\129\83\0\129\39\19\129\83\0\130\54\19\129\83\0",
	41000, "\52\21\120\0\52\21\119\0\129\60\21\120\0\129\60\21\119\0\129\39\21\119\0\130\54\21\119\0",
	42000, "\52\21\124\0\52\21\123\0\129\60\21\124\0\129\60\21\123\0\129\39\21\123\0\130\54\21\123\0",
	43000, "\52\21\129\0\0\52\21\127\0\129\60\21\129\0\0\129\60\21\127\0\129\39\21\127\0\130\54\21\127\0",
	44000, "\52\21\129\4\0\52\21\129\3\0\129\60\21\129\4\0\129\60\21\129\3\0\129\39\21\129\3\0\130\54\21\129\3\0",
	45000, "\52\21\129\8\0\52\21\129\7\0\129\60\21\129\8\0\129\60\21\129\7\0\129\39\21\129\7\0\130\54\21\129\7\0",
	46000, "\52\21\129\12\0\52\21\129\11\0\129\60\21\129\12\0\129\60\21\129\11\0\129\39\21\129\11\0\130\54\21\129\11\0",
	47000, "\52\21\129\16\0\52\21\129\15\0\129\60\21\129\16\0\129\60\21\129\15\0\129\39\21\129\15\0\130\54\21\129\15\0",
	48000, "\52\21\129\20\0\52\21\129\19\0\129\60\21\129\20\0\129\60\21\129\19\0\129\39\21\129\19\0\130\54\21\129\19\0",
	49000, "\52\21\129\24\0\52\21\129\23\0\129\60\21\129\24\0\129\60\21\129\23\0\129\39\21\129\23\0\130\54\21\129\23\0",
	50000, "\53\23\129\108\0\53\23\129\83\0\129\61\23\129\108\0\129\61\23\129\83\0\129\40\23\129\83\0\130\54\23\129\83\0",
	51000, "\53\25\120\0\53\25\119\0\129\61\25\120\0\129\61\25\119\0\129\40\25\119\0\130\54\25\119\0",
	52000, "\53\25\124\0\53\25\123\0\129\61\25\124\0\129\61\25\123\0\129\40\25\123\0\130\54\25\123\0",
	53000, "\53\25\129\0\0\53\25\127\0\129\61\25\129\0\0\129\61\25\127\0\129\40\25\127\0\130\54\25\127\0",
	54000, "\53\25\129\4\0\53\25\129\3\0\129\61\25\129\4\0\129\61\25\129\3\0\129\40\25\129\3\0\130\54\25\129\3\0",
	55000, "\53\25\129\8\0\53\25\129\7\0\129\61\25\129\8\0\129\61\25\129\7\0\129\40\25\129\7\0\130\54\25\129\7\0",
	56000, "\53\25\129\12\0\53\25\129\11\0\129\61\25\129\12\0\129\61\25\129\11\0\129\40\25\129\11\0\130\54\25\129\11\0",
	57000, "\53\25\129\16\0\53\25\129\15\0\129\61\25\129\16\0\129\61\25\129\15\0\129\40\25\129\15\0\130\54\25\129\15\0",
	58000, "\53\25\129\20\0\53\25\129\19\0\129\61\25\129\20\0\129\61\25\129\19\0\129\40\25\129\19\0\130\54\25\129\19\0",
	59000, "\53\25\129\24\0\53\25\129\23\0\129\61\25\129\24\0\129\61\25\129\23\0\129\40\25\129\23\0\130\54\25\129\23\0",
	60000, "\54\27\129\108\0\54\27\129\83\0\129\62\27\129\108\0\129\62\27\129\83\0\129\41\27\129\83\0\130\54\27\129\83\0",
	61000, "\54\29\120\0\54\29\119\0\129\62\29\120\0\129\62\29\119\0\129\41\29\119\0\130\54\29\119\0",
	62000, "\54\29\124\0\54\29\123\0\129\62\29\124\0\129\62\29\123\0\129\41\29\123\0\130\54\29\123\0",
	63000, "\54\29\129\0\0\54\29\127\0\129\62\29\129\0\0\129\62\29\127\0\129\41\29\127\0\130\54\29\127\0",
	64000, "\54\29\129\4\0\54\29\129\3\0\129\62\29\129\4\0\129\62\29\129\3\0\129\41\29\129\3\0\130\54\29\129\3\0",
	65000, "\54\29\129\8\0\54\29\129\7\0\129\62\29\129\8\0\129\62\29\129\7\0\129\41\29\129\7\0\130\54\29\129\7\0",
	66000, "\54\29\129\12\0\54\29\129\11\0\129\62\29\129\12\0\129\62\29\129\11\0\129\41\29\129\11\0\130\54\29\129\11\0",
	67000, "\54\29\129\16\0\54\29\129\15\0\129\62\29\129\16\0\129\62\29\129\15\0\129\41\29\129\15\0\130\54\29\129\15\0",
	68000, "\54\29\129\20\0\54\29\129\19\0\129\62\29\129\20\0\129\62\29\129\19\0\129\41\29\129\19\0\130\54\29\129\19\0",
	69000, "\54\29\129\24\0\54\29\129\23\0\129\62\29\129\24\0\129\62\29\129\23\0\129\41\29\129\23\0\130\54\29\129\23\0",
	70000, "\55\31\129\108\0\55\31\129\83\0\129\63\31\129\108\0\129\63\31\129\83\0\129\42\31\129\83\0\130\54\31\129\83\0",
	71000, "\55\33\120\0\55\33\119\0\129\63\33\120\0\129\63\33\119\0\129\42\33\119\0\130\54\33\119\0",
	72000, "\55\33\124\0\55\33\123\0\129\63\33\124\0\129\63\33\123\0\129\42\33\123\0\130\54\33\123\0",
	73000, "\55\33\129\0\0\55\33\127\0\129\63\33\129\0\0\129\63\33\127\0\129\42\33\127\0\130\54\33\127\0",
	74000, "\55\33\129\4\0\55\33\129\3\0\129\63\33\129\4\0\129\63\33\129\3\0\129\42\33\129\3\0\130\54\33\129\3\0",
	75000, "\55\33\129\8\0\55\33\129\7\0\129\63\33\129\8\0\129\63\33\129\7\0\129\42\33\129\7\0\130\54\33\129\7\0",
	76000, "\55\33\129\12\0\55\33\129\11\0\129\63\33\129\12\0\129\63\33\129\11\0\129\42\33\129\11\0\130\54\33\129\11\0",
	77000, "\55\33\129\16\0\55\33\129\15\0\129\63\33\129\16\0\129\63\33\129\15\0\129\42\33\129\15\0\130\54\33\129\15\0",
	78000, "\55\33\129\20\0\55\33\129\19\0\129\63\33\129\20\0\129\63\33\129\19\0\129\42\33\129\19\0\130\54\33\129\19\0",
	79000, "\55\33\129\24\0\55\33\129\23\0\129\63\33\129\24\0\129\63\33\129\23\0\129\42\33\129\23\0\130\54\33\129\23\0",
	80000, "\56\35\129\108\0\56\35\129\83\0\129\64\35\129\108\0\129\64\35\129\83\0\129\43\35\129\83\0\130\54\35\129\83\0",
	81000, "\56\37\120\0\56\37\119\0\129\64\37\120\0\129\64\37\119\0\129\43\37\119\0\130\54\37\119\0",
	82000, "\56\37\124\0\56\37\123\0\129\64\37\124\0\129\64\37\123\0\129\43\37\123\0\130\54\37\123\0",
	83000, "\56\37\129\0\0\56\37\127\0\129\64\37\129\0\0\129\64\37\127\0\129\43\37\127\0\130\54\37\127\0",
	84000, "\56\37\129\4\0\56\37\129\3\0\129\64\37\129\4\0\129\64\37\129\3\0\129\43\37\129\3\0\130\54\37\129\3\0",
	85000, "\56\37\129\8\0\56\37\129\7\0\129\64\37\129\8\0\129\64\37\129\7\0\129\43\37\129\7\0\130\54\37\129\7\0",
	86000, "\56\37\129\12\0\56\37\129\11\0\129\64\37\129\12\0\129\64\37\129\11\0\129\43\37\129\11\0\130\54\37\129\11\0",
	87000, "\56\37\129\16\0\56\37\129\15\0\129\64\37\129\16\0\129\64\37\129\15\0\129\43\37\129\15\0\130\54\37\129\15\0",
	88000, "\56\37\129\20\0\56\37\129\19\0\129\64\37\129\20\0\129\64\37\129\19\0\129\43\37\129\19\0\130\54\37\129\19\0",
	89000, "\56\37\129\24\0\56\37\129\23\0\129\64\37\129\24\0\129\64\37\129\23\0\129\43\37\129\23\0\130\54\37\129\23\0",
	90000, "\57\39\129\108\0\57\39\129\83\0\129\65\39\129\108\0\129\65\39\129\83\0\129\44\39\129\83\0\130\54\39\129\83\0",
	91000, "\57\41\120\0\57\41\119\0\129\65\41\120\0\129\65\41\119\0\129\44\41\119\0\130\54\41\119\0",
	92000, "\57\41\124\0\57\41\123\0\129\65\41\124\0\129\65\41\123\0\129\44\41\123\0\130\54\41\123\0",
	93000, "\57\41\129\0\0\57\41\127\0\129\65\41\129\0\0\129\65\41\127\0\129\44\41\127\0\130\54\41\127\0",
	94000, "\57\41\129\4\0\57\41\129\3\0\129\65\41\129\4\0\129\65\41\129\3\0\129\44\41\129\3\0\130\54\41\129\3\0",
	95000, "\57\41\129\8\0\57\41\129\7\0\129\65\41\129\8\0\129\65\41\129\7\0\129\44\41\129\7\0\130\54\41\129\7\0",
	96000, "\57\41\129\12\0\57\41\129\11\0\129\65\41\129\12\0\129\65\41\129\11\0\129\44\41\129\11\0\130\54\41\129\11\0",
	97000, "\57\41\129\16\0\57\41\129\15\0\129\65\41\129\16\0\129\65\41\129\15\0\129\44\41\129\15\0\130\54\41\129\15\0",
	98000, "\57\41\129\20\0\57\41\129\19\0\129\65\41\129\20\0\129\65\41\129\19\0\129\44\41\129\19\0\130\54\41\129\19\0",
	99000, "\57\41\129\24\0\57\41\129\23\0\129\65\41\129\24\0\129\65\41\129\23\0\129\44\41\129\23\0\130\54\41\129\23\0",
	100000, "\46\2\129\101\0\46\2\129\76\0\129\54\2\129\101\0\129\54\2\129\76\0\129\33\2\129\76\0\130\54\2\129\76\0",
	110000, "\46\2\103\0\46\2\102\0\129\54\2\103\0\129\54\2\102\0\129\33\2\102\0\130\54\2\102\0",
	120000, "\46\2\111\0\46\2\110\0\129\54\2\111\0\129\54\2\110\0\129\33\2\110\0\130\54\2\110\0",
	130000, "\46\2\118\129\108\0\46\2\118\129\83\0\129\54\2\118\129\108\0\129\54\2\118\129\83\0\129\33\2\118\129\83\0\130\54\2\118\129\83\0",
	140000, "\46\2\129\27\129\108\0\46\2\129\27\129\83\0\129\54\2\129\27\129\108\0\129\54\2\129\27\129\83\0\129\33\2\129\27\129\83\0\130\54\2\129\27\129\83\0",
	150000, "\46\2\129\28\129\108\0\46\2\129\28\129\83\0\129\54\2\129\28\129\108\0\129\54\2\129\28\129\83\0\129\33\2\129\28\129\83\0\130\54\2\129\28\129\83\0",
	160000, "\46\2\129\29\129\108\0\46\2\129\29\129\83\0\129\54\2\129\29\129\108\0\129\54\2\129\29\129\83\0\129\33\2\129\29\129\83\0\130\54\2\129\29\129\83\0",
	170000, "\46\2\129\30\129\108\0\46\2\129\30\129\83\0\129\54\2\129\30\129\108\0\129\54\2\129\30\129\83\0\129\33\2\129\30\129\83\0\130\54\2\129\30\129\83\0",
	180000, "\46\2\129\31\129\108\0\46\2\129\31\129\83\0\129\54\2\129\31\129\108\0\129\54\2\129\31\129\83\0\129\33\2\129\31\129\83\0\130\54\2\129\31\129\83\0",
	190000, "\46\2\129\32\129\108\0\46\2\129\32\129\83\0\129\54\2\129\32\129\108\0\129\54\2\129\32\129\83\0\129\33\2\129\32\129\83\0\130\54\2\129\32\129\83\0",
	200000, "\48\11\129\101\0\48\11\129\76\0\129\56\11\129\101\0\129\56\11\129\76\0\129\35\11\129\76\0\130\54\11\129\76\0",
	210000, "\48\11\103\0\48\11\102\0\129\56\11\103\0\129\56\11\102\0\129\35\11\102\0\130\54\11\102\0",
	220000, "\48\11\111\0\48\11\110\0\129\56\11\111\0\129\56\11\110\0\129\35\11\110\0\130\54\11\110\0",
	230000, "\48\11\118\129\108\0\48\11\118\129\83\0\129\56\11\118\129\108\0\129\56\11\118\129\83\0\129\35\11\118\129\83\0\130\54\11\118\129\83\0",
	240000, "\48\11\129\27\129\108\0\48\11\129\27\129\83\0\129\56\11\129\27\129\108\0\129\56\11\129\27\129\83\0\129\35\11\129\27\129\83\0\130\54\11\129\27\129\83\0",
	250000, "\48\11\129\28\129\108\0\48\11\129\28\129\83\0\129\56\11\129\28\129\108\0\129\56\11\129\28\129\83\0\129\35\11\129\28\129\83\0\130\54\11\129\28\129\83\0",
	260000, "\48\11\129\29\129\108\0\48\11\129\29\129\83\0\129\56\11\129\29\129\108\0\129\56\11\129\29\129\83\0\129\35\11\129\29\129\83\0\130\54\11\129\29\129\83\0",
	270000, "\48\11\129\30\129\108\0\48\11\129\30\129\83\0\129\56\11\129\30\129\108\0\129\56\11\129\30\129\83\0\129\35\11\129\30\129\83\0\130\54\11\129\30\129\83\0",
	280000, "\48\11\129\31\129\108\0\48\11\129\31\129\83\0\129\56\11\129\31\129\108\0\129\56\11\129\31\129\83\0\129\35\11\129\31\129\83\0\130\54\11\129\31\129\83\0",
	290000, "\48\11\129\32\129\108\0\48\11\129\32\129\83\0\129\56\11\129\32\129\108\0\129\56\11\129\32\129\83\0\129\35\11\129\32\129\83\0\130\54\11\129\32\129\83\0",
	300000, "\51\14\129\101\0\51\14\129\76\0\129\59\14\129\101\0\129\59\14\129\76\0\129\38\14\129\76\0\130\54\14\129\76\0",
	310000, "\51\14\103\0\51\14\102\0\129\59\14\103\0\129\59\14\102\0\129\38\14\102\0\130\54\14\102\0",
	320000, "\51\14\111\0\51\14\110\0\129\59\14\111\0\129\59\14\110\0\129\38\14\110\0\130\54\14\110\0",
	330000, "\51\14\118\129\108\0\51\14\118\129\83\0\129\59\14\118\129\108\0\129\59\14\118\129\83\0\129\38\14\118\129\83\0\130\54\14\118\129\83\0",
	340000, "\51\14\129\27\129\108\0\51\14\129\27\129\83\0\129\59\14\129\27\129\108\0\129\59\14\129\27\129\83\0\129\38\14\129\27\129\83\0\130\54\14\129\27\129\83\0",
	350000, "\51\14\129\28\129\108\0\51\14\129\28\129\83\0\129\59\14\129\28\129\108\0\129\59\14\129\28\129\83\0\129\38\14\129\28\129\83\0\130\54\14\129\28\129\83\0",
	360000, "\51\14\129\29\129\108\0\51\14\129\29\129\83\0\129\59\14\129\29\129\108\0\129\59\14\129\29\129\83\0\129\38\14\129\29\129\83\0\130\54\14\129\29\129\83\0",
	370000, "\51\14\129\30\129\108\0\51\14\129\30\129\83\0\129\59\14\129\30\129\108\0\129\59\14\129\30\129\83\0\129\38\14\129\30\129\83\0\130\54\14\129\30\129\83\0",
	380000, "\51\14\129\31\129\108\0\51\14\129\31\129\83\0\129\59\14\129\31\129\108\0\129\59\14\129\31\129\83\0\129\38\14\129\31\129\83\0\130\54\14\129\31\129\83\0",
	390000, "\51\14\129\32\129\108\0\51\14\129\32\129\83\0\129\59\14\129\32\129\108\0\129\59\14\129\32\129\83\0\129\38\14\129\32\129\83\0\130\54\14\129\32\129\83\0",
	400000, "\52\20\129\101\0\52\20\129\76\0\129\60\20\129\101\0\129\60\20\129\76\0\129\39\20\129\76\0\130\54\20\129\76\0",
	410000, "\52\20\103\0\52\20\102\0\129\60\20\103\0\129\60\20\102\0\129\39\20\102\0\130\54\20\102\0",
	420000, "\52\20\111\0\52\20\110\0\129\60\20\111\0\129\60\20\110\0\129\39\20\110\0\130\54\20\110\0",
	430000, "\52\20\118\129\108\0\52\20\118\129\83\0\129\60\20\118\129\108\0\129\60\20\118\129\83\0\129\39\20\118\129\83\0\130\54\20\118\129\83\0",
	440000, "\52\20\129\27\129\108\0\52\20\129\27\129\83\0\129\60\20\129\27\129\108\0\129\60\20\129\27\129\83\0\129\39\20\129\27\129\83\0\130\54\20\129\27\129\83\0",
	450000, "\52\20\129\28\129\108\0\52\20\129\28\129\83\0\129\60\20\129\28\129\108\0\129\60\20\129\28\129\83\0\129\39\20\129\28\129\83\0\130\54\20\129\28\129\83\0",
	460000, "\52\20\129\29\129\108\0\52\20\129\29\129\83\0\129\60\20\129\29\129\108\0\129\60\20\129\29\129\83\0\129\39\20\129\29\129\83\0\130\54\20\129\29\129\83\0",
	470000, "\52\20\129\30\129\108\0\52\20\129\30\129\83\0\129\60\20\129\30\129\108\0\129\60\20\129\30\129\83\0\129\39\20\129\30\129\83\0\130\54\20\129\30\129\83\0",
	480000, "\52\20\129\31\129\108\0\52\20\129\31\129\83\0\129\60\20\129\31\129\108\0\129\60\20\129\31\129\83\0\129\39\20\129\31\129\83\0\130\54\20\129\31\129\83\0",
	490000, "\52\20\129\32\129\108\0\52\20\129\32\129\83\0\129\60\20\129\32\129\108\0\129\60\20\129\32\129\83\0\129\39\20\129\32\129\83\0\130\54\20\129\32\129\83\0",
	500000, "\53\24\129\101\0\53\24\129\76\0\129\61\24\129\101\0\129\61\24\129\76\0\129\40\24\129\76\0\130\54\24\129\76\0",
	510000, "\64\24\129\101\0\64\24\129\76\0\129\72\24\129\101\0\129\72\24\129\76\0\129\49\24\129\76\0\130\54\24\129\76\0",
}

distances.feet = {
	15, "\53\23\129\53\0\53\23\129\51\0\129\61\23\129\53\0\129\61\23\129\51\0\129\40\23\129\51\0\130\54\23\129\51\0",
	30, "\46\2\129\52\0\46\2\129\50\0\129\54\2\129\52\0\129\54\2\129\50\0\129\33\2\129\50\0\130\54\2\129\50\0",
	46, "\46\2\129\28\129\53\0\46\2\129\28\129\51\0\129\54\2\129\28\129\53\0\129\54\2\129\28\129\51\0\129\33\2\129\28\129\51\0\130\54\2\129\28\129\51\0",
	61, "\48\11\129\52\0\48\11\129\50\0\129\56\11\129\52\0\129\56\11\129\50\0\129\35\11\129\50\0\130\54\11\129\50\0",
	91, "\51\14\129\52\0\51\14\129\50\0\129\59\14\129\52\0\129\59\14\129\50\0\129\38\14\129\50\0\130\54\14\129\50\0",
	122, "\52\20\129\52\0\52\20\129\50\0\129\60\20\129\52\0\129\60\20\129\50\0\129\39\20\129\50\0\130\54\20\129\50\0",
	152, "\53\24\129\52\0\53\24\129\50\0\129\61\24\129\52\0\129\61\24\129\50\0\129\40\24\129\50\0\130\54\24\129\50\0",
	183, "\54\28\129\52\0\54\28\129\50\0\129\62\28\129\52\0\129\62\28\129\50\0\129\41\28\129\50\0\130\54\28\129\50\0",
	213, "\55\32\129\52\0\55\32\129\50\0\129\63\32\129\52\0\129\63\32\129\50\0\129\42\32\129\50\0\130\54\32\129\50\0",
	244, "\56\36\129\52\0\56\36\129\50\0\129\64\36\129\52\0\129\64\36\129\50\0\129\43\36\129\50\0\130\54\36\129\50\0",
	274, "\57\40\129\52\0\57\40\129\50\0\129\65\40\129\52\0\129\65\40\129\50\0\129\44\40\129\50\0\130\54\40\129\50\0",
	305, "\61\0\60\0\129\69\0\129\68\0\129\47\0\130\59\0",
	402, "\59\45\0\59\44\0\129\67\45\0\129\67\44\0\129\46\44\0\130\58\44\0",
	644, "\65\130\48\0\65\130\23\0\129\73\130\48\0\129\73\130\23\0\129\35\130\23\0\130\54\130\23\0",
	805, "\63\0\62\0\129\71\0\129\70\0\129\48\0\130\60\0",
	966, "\65\130\50\0\65\130\25\0\129\73\130\50\0\129\73\130\25\0\129\35\130\25\0\130\54\130\25\0",
	1127, "\58\18\0\58\17\0\129\66\18\0\129\66\17\0\129\45\17\0\130\57\17\0",
	1448, "\65\130\53\0\65\130\28\0\129\73\130\53\0\129\73\130\28\0\129\35\130\28\0\130\54\130\28\0",
	1609, "\46\130\29\0\46\130\4\0\129\54\130\29\0\129\54\130\4\0\129\33\130\4\0\130\54\130\4\0",
	1770, "\46\10\130\45\0\46\10\130\20\0\129\54\10\130\45\0\129\54\10\130\20\0\129\33\10\130\20\0\130\54\10\130\20\0",
	1931, "\46\10\130\46\0\46\10\130\21\0\129\54\10\130\46\0\129\54\10\130\21\0\129\33\10\130\21\0\130\54\10\130\21\0",
	2092, "\46\10\130\47\0\46\10\130\22\0\129\54\10\130\47\0\129\54\10\130\22\0\129\33\10\130\22\0\130\54\10\130\22\0",
	2253, "\46\10\130\48\0\46\10\130\23\0\129\54\10\130\48\0\129\54\10\130\23\0\129\33\10\130\23\0\130\54\10\130\23\0",
	2414, "\46\10\130\49\0\46\10\130\24\0\129\54\10\130\49\0\129\54\10\130\24\0\129\33\10\130\24\0\130\54\10\130\24\0",
	2575, "\46\10\130\50\0\46\10\130\25\0\129\54\10\130\50\0\129\54\10\130\25\0\129\33\10\130\25\0\130\54\10\130\25\0",
	2736, "\46\10\130\51\0\46\10\130\26\0\129\54\10\130\51\0\129\54\10\130\26\0\129\33\10\130\26\0\130\54\10\130\26\0",
	2897, "\46\10\130\52\0\46\10\130\27\0\129\54\10\130\52\0\129\54\10\130\27\0\129\33\10\130\27\0\130\54\10\130\27\0",
	3058, "\46\10\130\53\0\46\10\130\28\0\129\54\10\130\53\0\129\54\10\130\28\0\129\33\10\130\28\0\130\54\10\130\28\0",
	3219, "\48\130\35\0\48\130\10\0\129\56\130\35\0\129\56\130\10\0\129\35\130\10\0\130\54\130\10\0",
	3380, "\48\12\130\45\0\48\12\130\20\0\129\56\12\130\45\0\129\56\12\130\20\0\129\35\12\130\20\0\130\54\12\130\20\0",
	3541, "\48\12\130\46\0\48\12\130\21\0\129\56\12\130\46\0\129\56\12\130\21\0\129\35\12\130\21\0\130\54\12\130\21\0",
	3701, "\48\12\130\47\0\48\12\130\22\0\129\56\12\130\47\0\129\56\12\130\22\0\129\35\12\130\22\0\130\54\12\130\22\0",
	3862, "\48\12\130\48\0\48\12\130\23\0\129\56\12\130\48\0\129\56\12\130\23\0\129\35\12\130\23\0\130\54\12\130\23\0",
	4023, "\48\12\130\49\0\48\12\130\24\0\129\56\12\130\49\0\129\56\12\130\24\0\129\35\12\130\24\0\130\54\12\130\24\0",
	4184, "\48\12\130\50\0\48\12\130\25\0\129\56\12\130\50\0\129\56\12\130\25\0\129\35\12\130\25\0\130\54\12\130\25\0",
	4345, "\48\12\130\51\0\48\12\130\26\0\129\56\12\130\51\0\129\56\12\130\26\0\129\35\12\130\26\0\130\54\12\130\26\0",
	4506, "\48\12\130\52\0\48\12\130\27\0\129\56\12\130\52\0\129\56\12\130\27\0\129\35\12\130\27\0\130\54\12\130\27\0",
	4667, "\48\12\130\53\0\48\12\130\28\0\129\56\12\130\53\0\129\56\12\130\28\0\129\35\12\130\28\0\130\54\12\130\28\0",
	4828, "\51\130\37\0\51\130\12\0\129\59\130\37\0\129\59\130\12\0\129\38\130\12\0\130\54\130\12\0",
	4989, "\51\16\130\45\0\51\16\130\20\0\129\59\16\130\45\0\129\59\16\130\20\0\129\38\16\130\20\0\130\54\16\130\20\0",
	5150, "\51\16\130\46\0\51\16\130\21\0\129\59\16\130\46\0\129\59\16\130\21\0\129\38\16\130\21\0\130\54\16\130\21\0",
	5311, "\51\16\130\47\0\51\16\130\22\0\129\59\16\130\47\0\129\59\16\130\22\0\129\38\16\130\22\0\130\54\16\130\22\0",
	5472, "\51\16\130\48\0\51\16\130\23\0\129\59\16\130\48\0\129\59\16\130\23\0\129\38\16\130\23\0\130\54\16\130\23\0",
	5633, "\51\16\130\49\0\51\16\130\24\0\129\59\16\130\49\0\129\59\16\130\24\0\129\38\16\130\24\0\130\54\16\130\24\0",
	5794, "\51\16\130\50\0\51\16\130\25\0\129\59\16\130\50\0\129\59\16\130\25\0\129\38\16\130\25\0\130\54\16\130\25\0",
	5955, "\51\16\130\51\0\51\16\130\26\0\129\59\16\130\51\0\129\59\16\130\26\0\129\38\16\130\26\0\130\54\16\130\26\0",
	6116, "\51\16\130\52\0\51\16\130\27\0\129\59\16\130\52\0\129\59\16\130\27\0\129\38\16\130\27\0\130\54\16\130\27\0",
	6276, "\51\16\130\53\0\51\16\130\28\0\129\59\16\130\53\0\129\59\16\130\28\0\129\38\16\130\28\0\130\54\16\130\28\0",
	6437, "\52\130\39\0\52\130\14\0\129\60\130\39\0\129\60\130\14\0\129\39\130\14\0\130\54\130\14\0",
	6598, "\52\22\130\45\0\52\22\130\20\0\129\60\22\130\45\0\129\60\22\130\20\0\129\39\22\130\20\0\130\54\22\130\20\0",
	6759, "\52\22\130\46\0\52\22\130\21\0\129\60\22\130\46\0\129\60\22\130\21\0\129\39\22\130\21\0\130\54\22\130\21\0",
	6920, "\52\22\130\47\0\52\22\130\22\0\129\60\22\130\47\0\129\60\22\130\22\0\129\39\22\130\22\0\130\54\22\130\22\0",
	7081, "\52\22\130\48\0\52\22\130\23\0\129\60\22\130\48\0\129\60\22\130\23\0\129\39\22\130\23\0\130\54\22\130\23\0",
	7242, "\52\22\130\49\0\52\22\130\24\0\129\60\22\130\49\0\129\60\22\130\24\0\129\39\22\130\24\0\130\54\22\130\24\0",
	7403, "\52\22\130\50\0\52\22\130\25\0\129\60\22\130\50\0\129\60\22\130\25\0\129\39\22\130\25\0\130\54\22\130\25\0",
	7564, "\52\22\130\51\0\52\22\130\26\0\129\60\22\130\51\0\129\60\22\130\26\0\129\39\22\130\26\0\130\54\22\130\26\0",
	7725, "\52\22\130\52\0\52\22\130\27\0\129\60\22\130\52\0\129\60\22\130\27\0\129\39\22\130\27\0\130\54\22\130\27\0",
	7886, "\52\22\130\53\0\52\22\130\28\0\129\60\22\130\53\0\129\60\22\130\28\0\129\39\22\130\28\0\130\54\22\130\28\0",
	8047, "\53\130\40\0\53\130\15\0\129\61\130\40\0\129\61\130\15\0\129\40\130\15\0\130\54\130\15\0",
	8208, "\53\26\130\45\0\53\26\130\20\0\129\61\26\130\45\0\129\61\26\130\20\0\129\40\26\130\20\0\130\54\26\130\20\0",
	8369, "\53\26\130\46\0\53\26\130\21\0\129\61\26\130\46\0\129\61\26\130\21\0\129\40\26\130\21\0\130\54\26\130\21\0",
	8530, "\53\26\130\47\0\53\26\130\22\0\129\61\26\130\47\0\129\61\26\130\22\0\129\40\26\130\22\0\130\54\26\130\22\0",
	8690, "\53\26\130\48\0\53\26\130\23\0\129\61\26\130\48\0\129\61\26\130\23\0\129\40\26\130\23\0\130\54\26\130\23\0",
	8851, "\53\26\130\49\0\53\26\130\24\0\129\61\26\130\49\0\129\61\26\130\24\0\129\40\26\130\24\0\130\54\26\130\24\0",
	9012, "\53\26\130\50\0\53\26\130\25\0\129\61\26\130\50\0\129\61\26\130\25\0\129\40\26\130\25\0\130\54\26\130\25\0",
	9173, "\53\26\130\51\0\53\26\130\26\0\129\61\26\130\51\0\129\61\26\130\26\0\129\40\26\130\26\0\130\54\26\130\26\0",
	9334, "\53\26\130\52\0\53\26\130\27\0\129\61\26\130\52\0\129\61\26\130\27\0\129\40\26\130\27\0\130\54\26\130\27\0",
	9495, "\53\26\130\53\0\53\26\130\28\0\129\61\26\130\53\0\129\61\26\130\28\0\129\40\26\130\28\0\130\54\26\130\28\0",
	9656, "\54\130\41\0\54\130\16\0\129\62\130\41\0\129\62\130\16\0\129\41\130\16\0\130\54\130\16\0",
	9817, "\54\30\130\45\0\54\30\130\20\0\129\62\30\130\45\0\129\62\30\130\20\0\129\41\30\130\20\0\130\54\30\130\20\0",
	9978, "\54\30\130\46\0\54\30\130\21\0\129\62\30\130\46\0\129\62\30\130\21\0\129\41\30\130\21\0\130\54\30\130\21\0",
	10139, "\54\30\130\47\0\54\30\130\22\0\129\62\30\130\47\0\129\62\30\130\22\0\129\41\30\130\22\0\130\54\30\130\22\0",
	10300, "\54\30\130\48\0\54\30\130\23\0\129\62\30\130\48\0\129\62\30\130\23\0\129\41\30\130\23\0\130\54\30\130\23\0",
	10461, "\54\30\130\49\0\54\30\130\24\0\129\62\30\130\49\0\129\62\30\130\24\0\129\41\30\130\24\0\130\54\30\130\24\0",
	10622, "\54\30\130\50\0\54\30\130\25\0\129\62\30\130\50\0\129\62\30\130\25\0\129\41\30\130\25\0\130\54\30\130\25\0",
	10783, "\54\30\130\51\0\54\30\130\26\0\129\62\30\130\51\0\129\62\30\130\26\0\129\41\30\130\26\0\130\54\30\130\26\0",
	10944, "\54\30\130\52\0\54\30\130\27\0\129\62\30\130\52\0\129\62\30\130\27\0\129\41\30\130\27\0\130\54\30\130\27\0",
	11104, "\54\30\130\53\0\54\30\130\28\0\129\62\30\130\53\0\129\62\30\130\28\0\129\41\30\130\28\0\130\54\30\130\28\0",
	11265, "\55\130\42\0\55\130\17\0\129\63\130\42\0\129\63\130\17\0\129\42\130\17\0\130\54\130\17\0",
	11426, "\55\34\130\45\0\55\34\130\20\0\129\63\34\130\45\0\129\63\34\130\20\0\129\42\34\130\20\0\130\54\34\130\20\0",
	11587, "\55\34\130\46\0\55\34\130\21\0\129\63\34\130\46\0\129\63\34\130\21\0\129\42\34\130\21\0\130\54\34\130\21\0",
	11748, "\55\34\130\47\0\55\34\130\22\0\129\63\34\130\47\0\129\63\34\130\22\0\129\42\34\130\22\0\130\54\34\130\22\0",
	11909, "\55\34\130\48\0\55\34\130\23\0\129\63\34\130\48\0\129\63\34\130\23\0\129\42\34\130\23\0\130\54\34\130\23\0",
	12070, "\55\34\130\49\0\55\34\130\24\0\129\63\34\130\49\0\129\63\34\130\24\0\129\42\34\130\24\0\130\54\34\130\24\0",
	12231, "\55\34\130\50\0\55\34\130\25\0\129\63\34\130\50\0\129\63\34\130\25\0\129\42\34\130\25\0\130\54\34\130\25\0",
	12392, "\55\34\130\51\0\55\34\130\26\0\129\63\34\130\51\0\129\63\34\130\26\0\129\42\34\130\26\0\130\54\34\130\26\0",
	12553, "\55\34\130\52\0\55\34\130\27\0\129\63\34\130\52\0\129\63\34\130\27\0\129\42\34\130\27\0\130\54\34\130\27\0",
	12714, "\55\34\130\53\0\55\34\130\28\0\129\63\34\130\53\0\129\63\34\130\28\0\129\42\34\130\28\0\130\54\34\130\28\0",
	12875, "\56\130\43\0\56\130\18\0\129\64\130\43\0\129\64\130\18\0\129\43\130\18\0\130\54\130\18\0",
	13036, "\56\38\130\45\0\56\38\130\20\0\129\64\38\130\45\0\129\64\38\130\20\0\129\43\38\130\20\0\130\54\38\130\20\0",
	13197, "\56\38\130\46\0\56\38\130\21\0\129\64\38\130\46\0\129\64\38\130\21\0\129\43\38\130\21\0\130\54\38\130\21\0",
	13358, "\56\38\130\47\0\56\38\130\22\0\129\64\38\130\47\0\129\64\38\130\22\0\129\43\38\130\22\0\130\54\38\130\22\0",
	13518, "\56\38\130\48\0\56\38\130\23\0\129\64\38\130\48\0\129\64\38\130\23\0\129\43\38\130\23\0\130\54\38\130\23\0",
	13679, "\56\38\130\49\0\56\38\130\24\0\129\64\38\130\49\0\129\64\38\130\24\0\129\43\38\130\24\0\130\54\38\130\24\0",
	13840, "\56\38\130\50\0\56\38\130\25\0\129\64\38\130\50\0\129\64\38\130\25\0\129\43\38\130\25\0\130\54\38\130\25\0",
	14001, "\56\38\130\51\0\56\38\130\26\0\129\64\38\130\51\0\129\64\38\130\26\0\129\43\38\130\26\0\130\54\38\130\26\0",
	14162, "\56\38\130\52\0\56\38\130\27\0\129\64\38\130\52\0\129\64\38\130\27\0\129\43\38\130\27\0\130\54\38\130\27\0",
	14323, "\56\38\130\53\0\56\38\130\28\0\129\64\38\130\53\0\129\64\38\130\28\0\129\43\38\130\28\0\130\54\38\130\28\0",
	14484, "\57\130\44\0\57\130\19\0\129\65\130\44\0\129\65\130\19\0\129\44\130\19\0\130\54\130\19\0",
	14645, "\57\42\130\45\0\57\42\130\20\0\129\65\42\130\45\0\129\65\42\130\20\0\129\44\42\130\20\0\130\54\42\130\20\0",
	14806, "\57\42\130\46\0\57\42\130\21\0\129\65\42\130\46\0\129\65\42\130\21\0\129\44\42\130\21\0\130\54\42\130\21\0",
	14967, "\57\42\130\47\0\57\42\130\22\0\129\65\42\130\47\0\129\65\42\130\22\0\129\44\42\130\22\0\130\54\42\130\22\0",
	15128, "\57\42\130\48\0\57\42\130\23\0\129\65\42\130\48\0\129\65\42\130\23\0\129\44\42\130\23\0\130\54\42\130\23\0",
	15289, "\57\42\130\49\0\57\42\130\24\0\129\65\42\130\49\0\129\65\42\130\24\0\129\44\42\130\24\0\130\54\42\130\24\0",
	15450, "\57\42\130\50\0\57\42\130\25\0\129\65\42\130\50\0\129\65\42\130\25\0\129\44\42\130\25\0\130\54\42\130\25\0",
	15611, "\57\42\130\51\0\57\42\130\26\0\129\65\42\130\51\0\129\65\42\130\26\0\129\44\42\130\26\0\130\54\42\130\26\0",
	15772, "\57\42\130\52\0\57\42\130\27\0\129\65\42\130\52\0\129\65\42\130\27\0\129\44\42\130\27\0\130\54\42\130\27\0",
	15933, "\57\42\130\53\0\57\42\130\28\0\129\65\42\130\53\0\129\65\42\130\28\0\129\44\42\130\28\0\130\54\42\130\28\0",
	16093, "\47\130\30\0\47\130\5\0\129\55\130\30\0\129\55\130\5\0\129\34\130\5\0\43\1\130\5\0",
	17703, "\46\130\32\0\46\130\7\0\129\54\130\32\0\129\54\130\7\0\129\33\130\7\0\43\130\7\0",
	19312, "\48\130\33\0\48\130\8\0\129\56\130\33\0\129\56\130\8\0\129\35\130\8\0\43\130\8\0",
	20921, "\51\3\130\34\0\51\3\130\9\0\129\59\3\130\34\0\129\59\3\130\9\0\129\38\3\130\9\0\43\3\130\5\0",
	22531, "\52\4\130\34\0\52\4\130\9\0\129\60\4\130\34\0\129\60\4\130\9\0\129\39\4\130\9\0\43\4\130\5\0",
	24140, "\53\5\130\34\0\53\5\130\9\0\129\61\5\130\34\0\129\61\5\130\9\0\129\40\5\130\9\0\43\5\130\5\0",
	25750, "\54\6\130\34\0\54\6\130\9\0\129\62\6\130\34\0\129\62\6\130\9\0\129\41\6\130\9\0\43\6\130\5\0",
	27359, "\55\7\130\34\0\55\7\130\9\0\129\63\7\130\34\0\129\63\7\130\9\0\129\42\7\130\9\0\43\7\130\5\0",
	28968, "\56\8\130\34\0\56\8\130\9\0\129\64\8\130\34\0\129\64\8\130\9\0\129\43\8\130\9\0\43\8\130\5\0",
	30578, "\57\9\130\34\0\57\9\130\9\0\129\65\9\130\34\0\129\65\9\130\9\0\129\44\9\130\9\0\43\9\130\5\0",
	32187, "\49\130\36\0\49\130\11\0\129\57\130\36\0\129\57\130\11\0\129\36\130\11\0\130\55\130\11\0",
	33796, "\50\69\0\50\68\0\129\58\69\0\129\58\68\0\129\37\68\0\130\56\68\0",
	35406, "\50\73\0\50\72\0\129\58\73\0\129\58\72\0\129\37\72\0\130\56\72\0",
	37015, "\50\77\0\50\76\0\129\58\77\0\129\58\76\0\129\37\76\0\130\56\76\0",
	38624, "\50\81\0\50\80\0\129\58\81\0\129\58\80\0\129\37\80\0\130\56\80\0",
	40234, "\50\85\0\50\84\0\129\58\85\0\129\58\84\0\129\37\84\0\130\56\84\0",
	41843, "\50\89\0\50\88\0\129\58\89\0\129\58\88\0\129\37\88\0\130\56\88\0",
	43452, "\50\93\0\50\92\0\129\58\93\0\129\58\92\0\129\37\92\0\130\56\92\0",
	45062, "\50\97\0\50\96\0\129\58\97\0\129\58\96\0\129\37\96\0\130\56\96\0",
	46671, "\50\101\0\50\100\0\129\58\101\0\129\58\100\0\129\37\100\0\130\56\100\0",
	48280, "\51\13\130\38\0\51\13\130\13\0\129\59\13\130\38\0\129\59\13\130\13\0\129\38\13\130\13\0\130\54\13\130\13\0",
	49890, "\51\15\122\0\51\15\121\0\129\59\15\122\0\129\59\15\121\0\129\38\15\121\0\130\54\15\121\0",
	51499, "\51\15\126\0\51\15\125\0\129\59\15\126\0\129\59\15\125\0\129\38\15\125\0\130\54\15\125\0",
	53108, "\51\15\129\2\0\51\15\129\1\0\129\59\15\129\2\0\129\59\15\129\1\0\129\38\15\129\1\0\130\54\15\129\1\0",
	54718, "\51\15\129\6\0\51\15\129\5\0\129\59\15\129\6\0\129\59\15\129\5\0\129\38\15\129\5\0\130\54\15\129\5\0",
	56327, "\51\15\129\10\0\51\15\129\9\0\129\59\15\129\10\0\129\59\15\129\9\0\129\38\15\129\9\0\130\54\15\129\9\0",
	57936, "\51\15\129\14\0\51\15\129\13\0\129\59\15\129\14\0\129\59\15\129\13\0\129\38\15\129\13\0\130\54\15\129\13\0",
	59546, "\51\15\129\18\0\51\15\129\17\0\129\59\15\129\18\0\129\59\15\129\17\0\129\38\15\129\17\0\130\54\15\129\17\0",
	61155, "\51\15\129\22\0\51\15\129\21\0\129\59\15\129\22\0\129\59\15\129\21\0\129\38\15\129\21\0\130\54\15\129\21\0",
	62764, "\51\15\129\26\0\51\15\129\25\0\129\59\15\129\26\0\129\59\15\129\25\0\129\38\15\129\25\0\130\54\15\129\25\0",
	64374, "\52\19\130\38\0\52\19\130\13\0\129\60\19\130\38\0\129\60\19\130\13\0\129\39\19\130\13\0\130\54\19\130\13\0",
	65983, "\52\21\122\0\52\21\121\0\129\60\21\122\0\129\60\21\121\0\129\39\21\121\0\130\54\21\121\0",
	67592, "\52\21\126\0\52\21\125\0\129\60\21\126\0\129\60\21\125\0\129\39\21\125\0\130\54\21\125\0",
	69202, "\52\21\129\2\0\52\21\129\1\0\129\60\21\129\2\0\129\60\21\129\1\0\129\39\21\129\1\0\130\54\21\129\1\0",
	70811, "\52\21\129\6\0\52\21\129\5\0\129\60\21\129\6\0\129\60\21\129\5\0\129\39\21\129\5\0\130\54\21\129\5\0",
	72420, "\52\21\129\10\0\52\21\129\9\0\129\60\21\129\10\0\129\60\21\129\9\0\129\39\21\129\9\0\130\54\21\129\9\0",
	74030, "\52\21\129\14\0\52\21\129\13\0\129\60\21\129\14\0\129\60\21\129\13\0\129\39\21\129\13\0\130\54\21\129\13\0",
	75639, "\52\21\129\18\0\52\21\129\17\0\129\60\21\129\18\0\129\60\21\129\17\0\129\39\21\129\17\0\130\54\21\129\17\0",
	77249, "\52\21\129\22\0\52\21\129\21\0\129\60\21\129\22\0\129\60\21\129\21\0\129\39\21\129\21\0\130\54\21\129\21\0",
	78858, "\52\21\129\26\0\52\21\129\25\0\129\60\21\129\26\0\129\60\21\129\25\0\129\39\21\129\25\0\130\54\21\129\25\0",
	80467, "\53\23\130\38\0\53\23\130\13\0\129\61\23\130\38\0\129\61\23\130\13\0\129\40\23\130\13\0\130\54\23\130\13\0",
	82077, "\53\25\122\0\53\25\121\0\129\61\25\122\0\129\61\25\121\0\129\40\25\121\0\130\54\25\121\0",
	83686, "\53\25\126\0\53\25\125\0\129\61\25\126\0\129\61\25\125\0\129\40\25\125\0\130\54\25\125\0",
	85295, "\53\25\129\2\0\53\25\129\1\0\129\61\25\129\2\0\129\61\25\129\1\0\129\40\25\129\1\0\130\54\25\129\1\0",
	86905, "\53\25\129\6\0\53\25\129\5\0\129\61\25\129\6\0\129\61\25\129\5\0\129\40\25\129\5\0\130\54\25\129\5\0",
	88514, "\53\25\129\10\0\53\25\129\9\0\129\61\25\129\10\0\129\61\25\129\9\0\129\40\25\129\9\0\130\54\25\129\9\0",
	90123, "\53\25\129\14\0\53\25\129\13\0\129\61\25\129\14\0\129\61\25\129\13\0\129\40\25\129\13\0\130\54\25\129\13\0",
	91733, "\53\25\129\18\0\53\25\129\17\0\129\61\25\129\18\0\129\61\25\129\17\0\129\40\25\129\17\0\130\54\25\129\17\0",
	93342, "\53\25\129\22\0\53\25\129\21\0\129\61\25\129\22\0\129\61\25\129\21\0\129\40\25\129\21\0\130\54\25\129\21\0",
	94951, "\53\25\129\26\0\53\25\129\25\0\129\61\25\129\26\0\129\61\25\129\25\0\129\40\25\129\25\0\130\54\25\129\25\0",
	96561, "\54\27\130\38\0\54\27\130\13\0\129\62\27\130\38\0\129\62\27\130\13\0\129\41\27\130\13\0\130\54\27\130\13\0",
	98170, "\54\29\122\0\54\29\121\0\129\62\29\122\0\129\62\29\121\0\129\41\29\121\0\130\54\29\121\0",
	99779, "\54\29\126\0\54\29\125\0\129\62\29\126\0\129\62\29\125\0\129\41\29\125\0\130\54\29\125\0",
	101389, "\54\29\129\2\0\54\29\129\1\0\129\62\29\129\2\0\129\62\29\129\1\0\129\41\29\129\1\0\130\54\29\129\1\0",
	102998, "\54\29\129\6\0\54\29\129\5\0\129\62\29\129\6\0\129\62\29\129\5\0\129\41\29\129\5\0\130\54\29\129\5\0",
	104607, "\54\29\129\10\0\54\29\129\9\0\129\62\29\129\10\0\129\62\29\129\9\0\129\41\29\129\9\0\130\54\29\129\9\0",
	106217, "\54\29\129\14\0\54\29\129\13\0\129\62\29\129\14\0\129\62\29\129\13\0\129\41\29\129\13\0\130\54\29\129\13\0",
	107826, "\54\29\129\18\0\54\29\129\17\0\129\62\29\129\18\0\129\62\29\129\17\0\129\41\29\129\17\0\130\54\29\129\17\0",
	109435, "\54\29\129\22\0\54\29\129\21\0\129\62\29\129\22\0\129\62\29\129\21\0\129\41\29\129\21\0\130\54\29\129\21\0",
	111045, "\54\29\129\26\0\54\29\129\25\0\129\62\29\129\26\0\129\62\29\129\25\0\129\41\29\129\25\0\130\54\29\129\25\0",
	112654, "\55\31\130\38\0\55\31\130\13\0\129\63\31\130\38\0\129\63\31\130\13\0\129\42\31\130\13\0\130\54\31\130\13\0",
	114263, "\55\33\122\0\55\33\121\0\129\63\33\122\0\129\63\33\121\0\129\42\33\121\0\130\54\33\121\0",
	115873, "\55\33\126\0\55\33\125\0\129\63\33\126\0\129\63\33\125\0\129\42\33\125\0\130\54\33\125\0",
	117482, "\55\33\129\2\0\55\33\129\1\0\129\63\33\129\2\0\129\63\33\129\1\0\129\42\33\129\1\0\130\54\33\129\1\0",
	119091, "\55\33\129\6\0\55\33\129\5\0\129\63\33\129\6\0\129\63\33\129\5\0\129\42\33\129\5\0\130\54\33\129\5\0",
	120701, "\55\33\129\10\0\55\33\129\9\0\129\63\33\129\10\0\129\63\33\129\9\0\129\42\33\129\9\0\130\54\33\129\9\0",
	122310, "\55\33\129\14\0\55\33\129\13\0\129\63\33\129\14\0\129\63\33\129\13\0\129\42\33\129\13\0\130\54\33\129\13\0",
	123919, "\55\33\129\18\0\55\33\129\17\0\129\63\33\129\18\0\129\63\33\129\17\0\129\42\33\129\17\0\130\54\33\129\17\0",
	125529, "\55\33\129\22\0\55\33\129\21\0\129\63\33\129\22\0\129\63\33\129\21\0\129\42\33\129\21\0\130\54\33\129\21\0",
	127138, "\55\33\129\26\0\55\33\129\25\0\129\63\33\129\26\0\129\63\33\129\25\0\129\42\33\129\25\0\130\54\33\129\25\0",
	128748, "\56\35\130\38\0\56\35\130\13\0\129\64\35\130\38\0\129\64\35\130\13\0\129\43\35\130\13\0\130\54\35\130\13\0",
	130357, "\56\37\122\0\56\37\121\0\129\64\37\122\0\129\64\37\121\0\129\43\37\121\0\130\54\37\121\0",
	131966, "\56\37\126\0\56\37\125\0\129\64\37\126\0\129\64\37\125\0\129\43\37\125\0\130\54\37\125\0",
	133576, "\56\37\129\2\0\56\37\129\1\0\129\64\37\129\2\0\129\64\37\129\1\0\129\43\37\129\1\0\130\54\37\129\1\0",
	135185, "\56\37\129\6\0\56\37\129\5\0\129\64\37\129\6\0\129\64\37\129\5\0\129\43\37\129\5\0\130\54\37\129\5\0",
	136794, "\56\37\129\10\0\56\37\129\9\0\129\64\37\129\10\0\129\64\37\129\9\0\129\43\37\129\9\0\130\54\37\129\9\0",
	138404, "\56\37\129\14\0\56\37\129\13\0\129\64\37\129\14\0\129\64\37\129\13\0\129\43\37\129\13\0\130\54\37\129\13\0",
	140013, "\56\37\129\18\0\56\37\129\17\0\129\64\37\129\18\0\129\64\37\129\17\0\129\43\37\129\17\0\130\54\37\129\17\0",
	141622, "\56\37\129\22\0\56\37\129\21\0\129\64\37\129\22\0\129\64\37\129\21\0\129\43\37\129\21\0\130\54\37\129\21\0",
	143232, "\56\37\129\26\0\56\37\129\25\0\129\64\37\129\26\0\129\64\37\129\25\0\129\43\37\129\25\0\130\54\37\129\25\0",
	144841, "\57\39\130\38\0\57\39\130\13\0\129\65\39\130\38\0\129\65\39\130\13\0\129\44\39\130\13\0\130\54\39\130\13\0",
	146450, "\57\41\122\0\57\41\121\0\129\65\41\122\0\129\65\41\121\0\129\44\41\121\0\130\54\41\121\0",
	148060, "\57\41\126\0\57\41\125\0\129\65\41\126\0\129\65\41\125\0\129\44\41\125\0\130\54\41\125\0",
	149669, "\57\41\129\2\0\57\41\129\1\0\129\65\41\129\2\0\129\65\41\129\1\0\129\44\41\129\1\0\130\54\41\129\1\0",
	151278, "\57\41\129\6\0\57\41\129\5\0\129\65\41\129\6\0\129\65\41\129\5\0\129\44\41\129\5\0\130\54\41\129\5\0",
	152888, "\57\41\129\10\0\57\41\129\9\0\129\65\41\129\10\0\129\65\41\129\9\0\129\44\41\129\9\0\130\54\41\129\9\0",
	154497, "\57\41\129\14\0\57\41\129\13\0\129\65\41\129\14\0\129\65\41\129\13\0\129\44\41\129\13\0\130\54\41\129\13\0",
	156106, "\57\41\129\18\0\57\41\129\17\0\129\65\41\129\18\0\129\65\41\129\17\0\129\44\41\129\17\0\130\54\41\129\17\0",
	157716, "\57\41\129\22\0\57\41\129\21\0\129\65\41\129\22\0\129\65\41\129\21\0\129\44\41\129\21\0\130\54\41\129\21\0",
	159325, "\57\41\129\26\0\57\41\129\25\0\129\65\41\129\26\0\129\65\41\129\25\0\129\44\41\129\25\0\130\54\41\129\25\0",
	160934, "\46\2\130\31\0\46\2\130\6\0\129\54\2\130\31\0\129\54\2\130\6\0\129\33\2\130\6\0\130\54\2\130\6\0",
	177028, "\46\2\107\0\46\2\106\0\129\54\2\107\0\129\54\2\106\0\129\33\2\106\0\130\54\2\106\0",
	193121, "\46\2\115\0\46\2\114\0\129\54\2\115\0\129\54\2\114\0\129\33\2\114\0\130\54\2\114\0",
	209215, "\46\2\118\130\38\0\46\2\118\130\13\0\129\54\2\118\130\38\0\129\54\2\118\130\13\0\129\33\2\118\130\13\0\130\54\2\118\130\13\0",
	225308, "\46\2\129\27\130\38\0\46\2\129\27\130\13\0\129\54\2\129\27\130\38\0\129\54\2\129\27\130\13\0\129\33\2\129\27\130\13\0\130\54\2\129\27\130\13\0",
	241402, "\46\2\129\28\130\38\0\46\2\129\28\130\13\0\129\54\2\129\28\130\38\0\129\54\2\129\28\130\13\0\129\33\2\129\28\130\13\0\130\54\2\129\28\130\13\0",
	257495, "\46\2\129\29\130\38\0\46\2\129\29\130\13\0\129\54\2\129\29\130\38\0\129\54\2\129\29\130\13\0\129\33\2\129\29\130\13\0\130\54\2\129\29\130\13\0",
	273588, "\46\2\129\30\130\38\0\46\2\129\30\130\13\0\129\54\2\129\30\130\38\0\129\54\2\129\30\130\13\0\129\33\2\129\30\130\13\0\130\54\2\129\30\130\13\0",
	289682, "\46\2\129\31\130\38\0\46\2\129\31\130\13\0\129\54\2\129\31\130\38\0\129\54\2\129\31\130\13\0\129\33\2\129\31\130\13\0\130\54\2\129\31\130\13\0",
	305775, "\46\2\129\32\130\38\0\46\2\129\32\130\13\0\129\54\2\129\32\130\38\0\129\54\2\129\32\130\13\0\129\33\2\129\32\130\13\0\130\54\2\129\32\130\13\0",
	321869, "\48\11\130\31\0\48\11\130\6\0\129\56\11\130\31\0\129\56\11\130\6\0\129\35\11\130\6\0\130\54\11\130\6\0",
	337962, "\48\11\107\0\48\11\106\0\129\56\11\107\0\129\56\11\106\0\129\35\11\106\0\130\54\11\106\0",
	354056, "\48\11\115\0\48\11\114\0\129\56\11\115\0\129\56\11\114\0\129\35\11\114\0\130\54\11\114\0",
	370149, "\48\11\118\130\38\0\48\11\118\130\13\0\129\56\11\118\130\38\0\129\56\11\118\130\13\0\129\35\11\118\130\13\0\130\54\11\118\130\13\0",
	386243, "\48\11\129\27\130\38\0\48\11\129\27\130\13\0\129\56\11\129\27\130\38\0\129\56\11\129\27\130\13\0\129\35\11\129\27\130\13\0\130\54\11\129\27\130\13\0",
	402336, "\48\11\129\28\130\38\0\48\11\129\28\130\13\0\129\56\11\129\28\130\38\0\129\56\11\129\28\130\13\0\129\35\11\129\28\130\13\0\130\54\11\129\28\130\13\0",
	418429, "\48\11\129\29\130\38\0\48\11\129\29\130\13\0\129\56\11\129\29\130\38\0\129\56\11\129\29\130\13\0\129\35\11\129\29\130\13\0\130\54\11\129\29\130\13\0",
	434523, "\48\11\129\30\130\38\0\48\11\129\30\130\13\0\129\56\11\129\30\130\38\0\129\56\11\129\30\130\13\0\129\35\11\129\30\130\13\0\130\54\11\129\30\130\13\0",
	450616, "\48\11\129\31\130\38\0\48\11\129\31\130\13\0\129\56\11\129\31\130\38\0\129\56\11\129\31\130\13\0\129\35\11\129\31\130\13\0\130\54\11\129\31\130\13\0",
	466710, "\48\11\129\32\130\38\0\48\11\129\32\130\13\0\129\56\11\129\32\130\38\0\129\56\11\129\32\130\13\0\129\35\11\129\32\130\13\0\130\54\11\129\32\130\13\0",
	482803, "\51\14\130\31\0\51\14\130\6\0\129\59\14\130\31\0\129\59\14\130\6\0\129\38\14\130\6\0\130\54\14\130\6\0",
	498897, "\51\14\107\0\51\14\106\0\129\59\14\107\0\129\59\14\106\0\129\38\14\106\0\130\54\14\106\0",
	514990, "\51\14\115\0\51\14\114\0\129\59\14\115\0\129\59\14\114\0\129\38\14\114\0\130\54\14\114\0",
	531084, "\51\14\118\130\38\0\51\14\118\130\13\0\129\59\14\118\130\38\0\129\59\14\118\130\13\0\129\38\14\118\130\13\0\130\54\14\118\130\13\0",
	547177, "\51\14\129\27\130\38\0\51\14\129\27\130\13\0\129\59\14\129\27\130\38\0\129\59\14\129\27\130\13\0\129\38\14\129\27\130\13\0\130\54\14\129\27\130\13\0",
	563270, "\51\14\129\28\130\38\0\51\14\129\28\130\13\0\129\59\14\129\28\130\38\0\129\59\14\129\28\130\13\0\129\38\14\129\28\130\13\0\130\54\14\129\28\130\13\0",
	579364, "\51\14\129\29\130\38\0\51\14\129\29\130\13\0\129\59\14\129\29\130\38\0\129\59\14\129\29\130\13\0\129\38\14\129\29\130\13\0\130\54\14\129\29\130\13\0",
	595457, "\51\14\129\30\130\38\0\51\14\129\30\130\13\0\129\59\14\129\30\130\38\0\129\59\14\129\30\130\13\0\129\38\14\129\30\130\13\0\130\54\14\129\30\130\13\0",
	611551, "\51\14\129\31\130\38\0\51\14\129\31\130\13\0\129\59\14\129\31\130\38\0\129\59\14\129\31\130\13\0\129\38\14\129\31\130\13\0\130\54\14\129\31\130\13\0",
	627644, "\51\14\129\32\130\38\0\51\14\129\32\130\13\0\129\59\14\129\32\130\38\0\129\59\14\129\32\130\13\0\129\38\14\129\32\130\13\0\130\54\14\129\32\130\13\0",
	643738, "\52\20\130\31\0\52\20\130\6\0\129\60\20\130\31\0\129\60\20\130\6\0\129\39\20\130\6\0\130\54\20\130\6\0",
	659831, "\52\20\107\0\52\20\106\0\129\60\20\107\0\129\60\20\106\0\129\39\20\106\0\130\54\20\106\0",
	675924, "\52\20\115\0\52\20\114\0\129\60\20\115\0\129\60\20\114\0\129\39\20\114\0\130\54\20\114\0",
	692018, "\52\20\118\130\38\0\52\20\118\130\13\0\129\60\20\118\130\38\0\129\60\20\118\130\13\0\129\39\20\118\130\13\0\130\54\20\118\130\13\0",
	708111, "\52\20\129\27\130\38\0\52\20\129\27\130\13\0\129\60\20\129\27\130\38\0\129\60\20\129\27\130\13\0\129\39\20\129\27\130\13\0\130\54\20\129\27\130\13\0",
	724205, "\52\20\129\28\130\38\0\52\20\129\28\130\13\0\129\60\20\129\28\130\38\0\129\60\20\129\28\130\13\0\129\39\20\129\28\130\13\0\130\54\20\129\28\130\13\0",
	740298, "\52\20\129\29\130\38\0\52\20\129\29\130\13\0\129\60\20\129\29\130\38\0\129\60\20\129\29\130\13\0\129\39\20\129\29\130\13\0\130\54\20\129\29\130\13\0",
	756392, "\52\20\129\30\130\38\0\52\20\129\30\130\13\0\129\60\20\129\30\130\38\0\129\60\20\129\30\130\13\0\129\39\20\129\30\130\13\0\130\54\20\129\30\130\13\0",
	772485, "\52\20\129\31\130\38\0\52\20\129\31\130\13\0\129\60\20\129\31\130\38\0\129\60\20\129\31\130\13\0\129\39\20\129\31\130\13\0\130\54\20\129\31\130\13\0",
	788579, "\52\20\129\32\130\38\0\52\20\129\32\130\13\0\129\60\20\129\32\130\38\0\129\60\20\129\32\130\13\0\129\39\20\129\32\130\13\0\130\54\20\129\32\130\13\0",
	804672, "\53\24\130\31\0\53\24\130\6\0\129\61\24\130\31\0\129\61\24\130\6\0\129\40\24\130\6\0\130\54\24\130\6\0",
	820765, "\64\24\130\31\0\64\24\130\6\0\129\72\24\130\31\0\129\72\24\130\6\0\129\49\24\130\6\0\130\54\24\130\6\0",
}

distances.yards = {
	9, "\47\1\130\65\0\47\1\130\61\0\129\55\1\130\65\0\129\55\1\130\61\0\129\34\1\130\61\0\130\54\1\130\61\0",
	18, "\49\130\67\0\49\130\63\0\129\57\130\67\0\129\57\130\63\0\129\36\130\63\0\130\55\130\63\0",
	27, "\51\13\130\68\0\51\13\130\64\0\129\59\13\130\68\0\129\59\13\130\64\0\129\38\13\130\64\0\130\54\13\130\61\0",
	37, "\52\19\130\68\0\52\19\130\64\0\129\60\19\130\68\0\129\60\19\130\64\0\129\39\19\130\64\0\130\54\19\130\61\0",
	46, "\53\23\130\68\0\53\23\130\64\0\129\61\23\130\68\0\129\61\23\130\64\0\129\40\23\130\64\0\130\54\23\130\61\0",
	55, "\54\27\130\68\0\54\27\130\64\0\129\62\27\130\68\0\129\62\27\130\64\0\129\41\27\130\64\0\130\54\27\130\61\0",
	64, "\55\31\130\68\0\55\31\130\64\0\129\63\31\130\68\0\129\63\31\130\64\0\129\42\31\130\64\0\130\54\31\130\61\0",
	73, "\56\35\130\68\0\56\35\130\64\0\129\64\35\130\68\0\129\64\35\130\64\0\129\43\35\130\64\0\130\54\35\130\61\0",
	82, "\57\39\130\68\0\57\39\130\64\0\129\65\39\130\68\0\129\65\39\130\64\0\129\44\39\130\64\0\130\54\39\130\61\0",
	91, "\46\2\130\66\0\46\2\130\62\0\129\54\2\130\66\0\129\54\2\130\62\0\129\33\2\130\62\0\130\54\2\130\62\0",
	101, "\46\2\109\0\46\2\108\0\129\54\2\109\0\129\54\2\108\0\129\33\2\108\0\130\54\2\108\0",
	110, "\46\2\117\0\46\2\116\0\129\54\2\117\0\129\54\2\116\0\129\33\2\116\0\130\54\2\116\0",
	119, "\46\2\118\130\68\0\46\2\118\130\64\0\129\54\2\118\130\68\0\129\54\2\118\130\64\0\129\33\2\118\130\64\0\130\54\2\118\130\64\0",
	128, "\46\2\129\27\130\68\0\46\2\129\27\130\64\0\129\54\2\129\27\130\68\0\129\54\2\129\27\130\64\0\129\33\2\129\27\130\64\0\130\54\2\129\27\130\64\0",
	137, "\46\2\129\28\130\68\0\46\2\129\28\130\64\0\129\54\2\129\28\130\68\0\129\54\2\129\28\130\64\0\129\33\2\129\28\130\64\0\130\54\2\129\28\130\64\0",
	146, "\46\2\129\29\130\68\0\46\2\129\29\130\64\0\129\54\2\129\29\130\68\0\129\54\2\129\29\130\64\0\129\33\2\129\29\130\64\0\130\54\2\129\29\130\64\0",
	155, "\46\2\129\30\130\68\0\46\2\129\30\130\64\0\129\54\2\129\30\130\68\0\129\54\2\129\30\130\64\0\129\33\2\129\30\130\64\0\130\54\2\129\30\130\64\0",
	165, "\46\2\129\31\130\68\0\46\2\129\31\130\64\0\129\54\2\129\31\130\68\0\129\54\2\129\31\130\64\0\129\33\2\129\31\130\64\0\130\54\2\129\31\130\64\0",
	174, "\46\2\129\32\130\68\0\46\2\129\32\130\64\0\129\54\2\129\32\130\68\0\129\54\2\129\32\130\64\0\129\33\2\129\32\130\64\0\130\54\2\129\32\130\64\0",
	183, "\48\11\130\66\0\48\11\130\62\0\129\56\11\130\66\0\129\56\11\130\62\0\129\35\11\130\62\0\130\54\11\130\62\0",
	192, "\48\11\109\0\48\11\108\0\129\56\11\109\0\129\56\11\108\0\129\35\11\108\0\130\54\11\108\0",
	201, "\48\11\117\0\48\11\116\0\129\56\11\117\0\129\56\11\116\0\129\35\11\116\0\130\54\11\116\0",
	210, "\48\11\118\130\68\0\48\11\118\130\64\0\129\56\11\118\130\68\0\129\56\11\118\130\64\0\129\35\11\118\130\64\0\130\54\11\118\130\64\0",
	219, "\48\11\129\27\130\68\0\48\11\129\27\130\64\0\129\56\11\129\27\130\68\0\129\56\11\129\27\130\64\0\129\35\11\129\27\130\64\0\130\54\11\129\27\130\64\0",
	229, "\48\11\129\28\130\68\0\48\11\129\28\130\64\0\129\56\11\129\28\130\68\0\129\56\11\129\28\130\64\0\129\35\11\129\28\130\64\0\130\54\11\129\28\130\64\0",
	238, "\48\11\129\29\130\68\0\48\11\129\29\130\64\0\129\56\11\129\29\130\68\0\129\56\11\129\29\130\64\0\129\35\11\129\29\130\64\0\130\54\11\129\29\130\64\0",
	247, "\48\11\129\30\130\68\0\48\11\129\30\130\64\0\129\56\11\129\30\130\68\0\129\56\11\129\30\130\64\0\129\35\11\129\30\130\64\0\130\54\11\129\30\130\64\0",
	256, "\48\11\129\31\130\68\0\48\11\129\31\130\64\0\129\56\11\129\31\130\68\0\129\56\11\129\31\130\64\0\129\35\11\129\31\130\64\0\130\54\11\129\31\130\64\0",
	265, "\48\11\129\32\130\68\0\48\11\129\32\130\64\0\129\56\11\129\32\130\68\0\129\56\11\129\32\130\64\0\129\35\11\129\32\130\64\0\130\54\11\129\32\130\64\0",
	274, "\51\14\130\66\0\51\14\130\62\0\129\59\14\130\66\0\129\59\14\130\62\0\129\38\14\130\62\0\130\54\14\130\62\0",
	283, "\51\14\109\0\51\14\108\0\129\59\14\109\0\129\59\14\108\0\129\38\14\108\0\130\54\14\108\0",
	293, "\51\14\117\0\51\14\116\0\129\59\14\117\0\129\59\14\116\0\129\38\14\116\0\130\54\14\116\0",
	302, "\51\14\118\130\68\0\51\14\118\130\64\0\129\59\14\118\130\68\0\129\59\14\118\130\64\0\129\38\14\118\130\64\0\130\54\14\118\130\64\0",
	311, "\51\14\129\27\130\68\0\51\14\129\27\130\64\0\129\59\14\129\27\130\68\0\129\59\14\129\27\130\64\0\129\38\14\129\27\130\64\0\130\54\14\129\27\130\64\0",
	320, "\51\14\129\28\130\68\0\51\14\129\28\130\64\0\129\59\14\129\28\130\68\0\129\59\14\129\28\130\64\0\129\38\14\129\28\130\64\0\130\54\14\129\28\130\64\0",
	329, "\51\14\129\29\130\68\0\51\14\129\29\130\64\0\129\59\14\129\29\130\68\0\129\59\14\129\29\130\64\0\129\38\14\129\29\130\64\0\130\54\14\129\29\130\64\0",
	338, "\51\14\129\30\130\68\0\51\14\129\30\130\64\0\129\59\14\129\30\130\68\0\129\59\14\129\30\130\64\0\129\38\14\129\30\130\64\0\130\54\14\129\30\130\64\0",
	347, "\51\14\129\31\130\68\0\51\14\129\31\130\64\0\129\59\14\129\31\130\68\0\129\59\14\129\31\130\64\0\129\38\14\129\31\130\64\0\130\54\14\129\31\130\64\0",
	357, "\51\14\129\32\130\68\0\51\14\129\32\130\64\0\129\59\14\129\32\130\68\0\129\59\14\129\32\130\64\0\129\38\14\129\32\130\64\0\130\54\14\129\32\130\64\0",
	366, "\52\20\130\66\0\52\20\130\62\0\129\60\20\130\66\0\129\60\20\130\62\0\129\39\20\130\62\0\130\54\20\130\62\0",
	402, "\59\45\0\59\44\0\129\67\45\0\129\67\44\0\129\46\44\0\130\58\44\0",
	644, "\65\130\48\0\65\130\23\0\129\73\130\48\0\129\73\130\23\0\129\35\130\23\0\130\54\130\23\0",
	805, "\63\0\62\0\129\71\0\129\70\0\129\48\0\130\60\0",
	966, "\65\130\50\0\65\130\25\0\129\73\130\50\0\129\73\130\25\0\129\35\130\25\0\130\54\130\25\0",
	1127, "\58\18\0\58\17\0\129\66\18\0\129\66\17\0\129\45\17\0\130\57\17\0",
	1448, "\65\130\53\0\65\130\28\0\129\73\130\53\0\129\73\130\28\0\129\35\130\28\0\130\54\130\28\0",
	1609, "\46\130\29\0\46\130\4\0\129\54\130\29\0\129\54\130\4\0\129\33\130\4\0\130\54\130\4\0",
	1770, "\46\10\130\45\0\46\10\130\20\0\129\54\10\130\45\0\129\54\10\130\20\0\129\33\10\130\20\0\130\54\10\130\20\0",
	1931, "\46\10\130\46\0\46\10\130\21\0\129\54\10\130\46\0\129\54\10\130\21\0\129\33\10\130\21\0\130\54\10\130\21\0",
	2092, "\46\10\130\47\0\46\10\130\22\0\129\54\10\130\47\0\129\54\10\130\22\0\129\33\10\130\22\0\130\54\10\130\22\0",
	2253, "\46\10\130\48\0\46\10\130\23\0\129\54\10\130\48\0\129\54\10\130\23\0\129\33\10\130\23\0\130\54\10\130\23\0",
	2414, "\46\10\130\49\0\46\10\130\24\0\129\54\10\130\49\0\129\54\10\130\24\0\129\33\10\130\24\0\130\54\10\130\24\0",
	2575, "\46\10\130\50\0\46\10\130\25\0\129\54\10\130\50\0\129\54\10\130\25\0\129\33\10\130\25\0\130\54\10\130\25\0",
	2736, "\46\10\130\51\0\46\10\130\26\0\129\54\10\130\51\0\129\54\10\130\26\0\129\33\10\130\26\0\130\54\10\130\26\0",
	2897, "\46\10\130\52\0\46\10\130\27\0\129\54\10\130\52\0\129\54\10\130\27\0\129\33\10\130\27\0\130\54\10\130\27\0",
	3058, "\46\10\130\53\0\46\10\130\28\0\129\54\10\130\53\0\129\54\10\130\28\0\129\33\10\130\28\0\130\54\10\130\28\0",
	3219, "\48\130\35\0\48\130\10\0\129\56\130\35\0\129\56\130\10\0\129\35\130\10\0\130\54\130\10\0",
	3380, "\48\12\130\45\0\48\12\130\20\0\129\56\12\130\45\0\129\56\12\130\20\0\129\35\12\130\20\0\130\54\12\130\20\0",
	3541, "\48\12\130\46\0\48\12\130\21\0\129\56\12\130\46\0\129\56\12\130\21\0\129\35\12\130\21\0\130\54\12\130\21\0",
	3701, "\48\12\130\47\0\48\12\130\22\0\129\56\12\130\47\0\129\56\12\130\22\0\129\35\12\130\22\0\130\54\12\130\22\0",
	3862, "\48\12\130\48\0\48\12\130\23\0\129\56\12\130\48\0\129\56\12\130\23\0\129\35\12\130\23\0\130\54\12\130\23\0",
	4023, "\48\12\130\49\0\48\12\130\24\0\129\56\12\130\49\0\129\56\12\130\24\0\129\35\12\130\24\0\130\54\12\130\24\0",
	4184, "\48\12\130\50\0\48\12\130\25\0\129\56\12\130\50\0\129\56\12\130\25\0\129\35\12\130\25\0\130\54\12\130\25\0",
	4345, "\48\12\130\51\0\48\12\130\26\0\129\56\12\130\51\0\129\56\12\130\26\0\129\35\12\130\26\0\130\54\12\130\26\0",
	4506, "\48\12\130\52\0\48\12\130\27\0\129\56\12\130\52\0\129\56\12\130\27\0\129\35\12\130\27\0\130\54\12\130\27\0",
	4667, "\48\12\130\53\0\48\12\130\28\0\129\56\12\130\53\0\129\56\12\130\28\0\129\35\12\130\28\0\130\54\12\130\28\0",
	4828, "\51\130\37\0\51\130\12\0\129\59\130\37\0\129\59\130\12\0\129\38\130\12\0\130\54\130\12\0",
	4989, "\51\16\130\45\0\51\16\130\20\0\129\59\16\130\45\0\129\59\16\130\20\0\129\38\16\130\20\0\130\54\16\130\20\0",
	5150, "\51\16\130\46\0\51\16\130\21\0\129\59\16\130\46\0\129\59\16\130\21\0\129\38\16\130\21\0\130\54\16\130\21\0",
	5311, "\51\16\130\47\0\51\16\130\22\0\129\59\16\130\47\0\129\59\16\130\22\0\129\38\16\130\22\0\130\54\16\130\22\0",
	5472, "\51\16\130\48\0\51\16\130\23\0\129\59\16\130\48\0\129\59\16\130\23\0\129\38\16\130\23\0\130\54\16\130\23\0",
	5633, "\51\16\130\49\0\51\16\130\24\0\129\59\16\130\49\0\129\59\16\130\24\0\129\38\16\130\24\0\130\54\16\130\24\0",
	5794, "\51\16\130\50\0\51\16\130\25\0\129\59\16\130\50\0\129\59\16\130\25\0\129\38\16\130\25\0\130\54\16\130\25\0",
	5955, "\51\16\130\51\0\51\16\130\26\0\129\59\16\130\51\0\129\59\16\130\26\0\129\38\16\130\26\0\130\54\16\130\26\0",
	6116, "\51\16\130\52\0\51\16\130\27\0\129\59\16\130\52\0\129\59\16\130\27\0\129\38\16\130\27\0\130\54\16\130\27\0",
	6276, "\51\16\130\53\0\51\16\130\28\0\129\59\16\130\53\0\129\59\16\130\28\0\129\38\16\130\28\0\130\54\16\130\28\0",
	6437, "\52\130\39\0\52\130\14\0\129\60\130\39\0\129\60\130\14\0\129\39\130\14\0\130\54\130\14\0",
	6598, "\52\22\130\45\0\52\22\130\20\0\129\60\22\130\45\0\129\60\22\130\20\0\129\39\22\130\20\0\130\54\22\130\20\0",
	6759, "\52\22\130\46\0\52\22\130\21\0\129\60\22\130\46\0\129\60\22\130\21\0\129\39\22\130\21\0\130\54\22\130\21\0",
	6920, "\52\22\130\47\0\52\22\130\22\0\129\60\22\130\47\0\129\60\22\130\22\0\129\39\22\130\22\0\130\54\22\130\22\0",
	7081, "\52\22\130\48\0\52\22\130\23\0\129\60\22\130\48\0\129\60\22\130\23\0\129\39\22\130\23\0\130\54\22\130\23\0",
	7242, "\52\22\130\49\0\52\22\130\24\0\129\60\22\130\49\0\129\60\22\130\24\0\129\39\22\130\24\0\130\54\22\130\24\0",
	7403, "\52\22\130\50\0\52\22\130\25\0\129\60\22\130\50\0\129\60\22\130\25\0\129\39\22\130\25\0\130\54\22\130\25\0",
	7564, "\52\22\130\51\0\52\22\130\26\0\129\60\22\130\51\0\129\60\22\130\26\0\129\39\22\130\26\0\130\54\22\130\26\0",
	7725, "\52\22\130\52\0\52\22\130\27\0\129\60\22\130\52\0\129\60\22\130\27\0\129\39\22\130\27\0\130\54\22\130\27\0",
	7886, "\52\22\130\53\0\52\22\130\28\0\129\60\22\130\53\0\129\60\22\130\28\0\129\39\22\130\28\0\130\54\22\130\28\0",
	8047, "\53\130\40\0\53\130\15\0\129\61\130\40\0\129\61\130\15\0\129\40\130\15\0\130\54\130\15\0",
	8208, "\53\26\130\45\0\53\26\130\20\0\129\61\26\130\45\0\129\61\26\130\20\0\129\40\26\130\20\0\130\54\26\130\20\0",
	8369, "\53\26\130\46\0\53\26\130\21\0\129\61\26\130\46\0\129\61\26\130\21\0\129\40\26\130\21\0\130\54\26\130\21\0",
	8530, "\53\26\130\47\0\53\26\130\22\0\129\61\26\130\47\0\129\61\26\130\22\0\129\40\26\130\22\0\130\54\26\130\22\0",
	8690, "\53\26\130\48\0\53\26\130\23\0\129\61\26\130\48\0\129\61\26\130\23\0\129\40\26\130\23\0\130\54\26\130\23\0",
	8851, "\53\26\130\49\0\53\26\130\24\0\129\61\26\130\49\0\129\61\26\130\24\0\129\40\26\130\24\0\130\54\26\130\24\0",
	9012, "\53\26\130\50\0\53\26\130\25\0\129\61\26\130\50\0\129\61\26\130\25\0\129\40\26\130\25\0\130\54\26\130\25\0",
	9173, "\53\26\130\51\0\53\26\130\26\0\129\61\26\130\51\0\129\61\26\130\26\0\129\40\26\130\26\0\130\54\26\130\26\0",
	9334, "\53\26\130\52\0\53\26\130\27\0\129\61\26\130\52\0\129\61\26\130\27\0\129\40\26\130\27\0\130\54\26\130\27\0",
	9495, "\53\26\130\53\0\53\26\130\28\0\129\61\26\130\53\0\129\61\26\130\28\0\129\40\26\130\28\0\130\54\26\130\28\0",
	9656, "\54\130\41\0\54\130\16\0\129\62\130\41\0\129\62\130\16\0\129\41\130\16\0\130\54\130\16\0",
	9817, "\54\30\130\45\0\54\30\130\20\0\129\62\30\130\45\0\129\62\30\130\20\0\129\41\30\130\20\0\130\54\30\130\20\0",
	9978, "\54\30\130\46\0\54\30\130\21\0\129\62\30\130\46\0\129\62\30\130\21\0\129\41\30\130\21\0\130\54\30\130\21\0",
	10139, "\54\30\130\47\0\54\30\130\22\0\129\62\30\130\47\0\129\62\30\130\22\0\129\41\30\130\22\0\130\54\30\130\22\0",
	10300, "\54\30\130\48\0\54\30\130\23\0\129\62\30\130\48\0\129\62\30\130\23\0\129\41\30\130\23\0\130\54\30\130\23\0",
	10461, "\54\30\130\49\0\54\30\130\24\0\129\62\30\130\49\0\129\62\30\130\24\0\129\41\30\130\24\0\130\54\30\130\24\0",
	10622, "\54\30\130\50\0\54\30\130\25\0\129\62\30\130\50\0\129\62\30\130\25\0\129\41\30\130\25\0\130\54\30\130\25\0",
	10783, "\54\30\130\51\0\54\30\130\26\0\129\62\30\130\51\0\129\62\30\130\26\0\129\41\30\130\26\0\130\54\30\130\26\0",
	10944, "\54\30\130\52\0\54\30\130\27\0\129\62\30\130\52\0\129\62\30\130\27\0\129\41\30\130\27\0\130\54\30\130\27\0",
	11104, "\54\30\130\53\0\54\30\130\28\0\129\62\30\130\53\0\129\62\30\130\28\0\129\41\30\130\28\0\130\54\30\130\28\0",
	11265, "\55\130\42\0\55\130\17\0\129\63\130\42\0\129\63\130\17\0\129\42\130\17\0\130\54\130\17\0",
	11426, "\55\34\130\45\0\55\34\130\20\0\129\63\34\130\45\0\129\63\34\130\20\0\129\42\34\130\20\0\130\54\34\130\20\0",
	11587, "\55\34\130\46\0\55\34\130\21\0\129\63\34\130\46\0\129\63\34\130\21\0\129\42\34\130\21\0\130\54\34\130\21\0",
	11748, "\55\34\130\47\0\55\34\130\22\0\129\63\34\130\47\0\129\63\34\130\22\0\129\42\34\130\22\0\130\54\34\130\22\0",
	11909, "\55\34\130\48\0\55\34\130\23\0\129\63\34\130\48\0\129\63\34\130\23\0\129\42\34\130\23\0\130\54\34\130\23\0",
	12070, "\55\34\130\49\0\55\34\130\24\0\129\63\34\130\49\0\129\63\34\130\24\0\129\42\34\130\24\0\130\54\34\130\24\0",
	12231, "\55\34\130\50\0\55\34\130\25\0\129\63\34\130\50\0\129\63\34\130\25\0\129\42\34\130\25\0\130\54\34\130\25\0",
	12392, "\55\34\130\51\0\55\34\130\26\0\129\63\34\130\51\0\129\63\34\130\26\0\129\42\34\130\26\0\130\54\34\130\26\0",
	12553, "\55\34\130\52\0\55\34\130\27\0\129\63\34\130\52\0\129\63\34\130\27\0\129\42\34\130\27\0\130\54\34\130\27\0",
	12714, "\55\34\130\53\0\55\34\130\28\0\129\63\34\130\53\0\129\63\34\130\28\0\129\42\34\130\28\0\130\54\34\130\28\0",
	12875, "\56\130\43\0\56\130\18\0\129\64\130\43\0\129\64\130\18\0\129\43\130\18\0\130\54\130\18\0",
	13036, "\56\38\130\45\0\56\38\130\20\0\129\64\38\130\45\0\129\64\38\130\20\0\129\43\38\130\20\0\130\54\38\130\20\0",
	13197, "\56\38\130\46\0\56\38\130\21\0\129\64\38\130\46\0\129\64\38\130\21\0\129\43\38\130\21\0\130\54\38\130\21\0",
	13358, "\56\38\130\47\0\56\38\130\22\0\129\64\38\130\47\0\129\64\38\130\22\0\129\43\38\130\22\0\130\54\38\130\22\0",
	13518, "\56\38\130\48\0\56\38\130\23\0\129\64\38\130\48\0\129\64\38\130\23\0\129\43\38\130\23\0\130\54\38\130\23\0",
	13679, "\56\38\130\49\0\56\38\130\24\0\129\64\38\130\49\0\129\64\38\130\24\0\129\43\38\130\24\0\130\54\38\130\24\0",
	13840, "\56\38\130\50\0\56\38\130\25\0\129\64\38\130\50\0\129\64\38\130\25\0\129\43\38\130\25\0\130\54\38\130\25\0",
	14001, "\56\38\130\51\0\56\38\130\26\0\129\64\38\130\51\0\129\64\38\130\26\0\129\43\38\130\26\0\130\54\38\130\26\0",
	14162, "\56\38\130\52\0\56\38\130\27\0\129\64\38\130\52\0\129\64\38\130\27\0\129\43\38\130\27\0\130\54\38\130\27\0",
	14323, "\56\38\130\53\0\56\38\130\28\0\129\64\38\130\53\0\129\64\38\130\28\0\129\43\38\130\28\0\130\54\38\130\28\0",
	14484, "\57\130\44\0\57\130\19\0\129\65\130\44\0\129\65\130\19\0\129\44\130\19\0\130\54\130\19\0",
	14645, "\57\42\130\45\0\57\42\130\20\0\129\65\42\130\45\0\129\65\42\130\20\0\129\44\42\130\20\0\130\54\42\130\20\0",
	14806, "\57\42\130\46\0\57\42\130\21\0\129\65\42\130\46\0\129\65\42\130\21\0\129\44\42\130\21\0\130\54\42\130\21\0",
	14967, "\57\42\130\47\0\57\42\130\22\0\129\65\42\130\47\0\129\65\42\130\22\0\129\44\42\130\22\0\130\54\42\130\22\0",
	15128, "\57\42\130\48\0\57\42\130\23\0\129\65\42\130\48\0\129\65\42\130\23\0\129\44\42\130\23\0\130\54\42\130\23\0",
	15289, "\57\42\130\49\0\57\42\130\24\0\129\65\42\130\49\0\129\65\42\130\24\0\129\44\42\130\24\0\130\54\42\130\24\0",
	15450, "\57\42\130\50\0\57\42\130\25\0\129\65\42\130\50\0\129\65\42\130\25\0\129\44\42\130\25\0\130\54\42\130\25\0",
	15611, "\57\42\130\51\0\57\42\130\26\0\129\65\42\130\51\0\129\65\42\130\26\0\129\44\42\130\26\0\130\54\42\130\26\0",
	15772, "\57\42\130\52\0\57\42\130\27\0\129\65\42\130\52\0\129\65\42\130\27\0\129\44\42\130\27\0\130\54\42\130\27\0",
	15933, "\57\42\130\53\0\57\42\130\28\0\129\65\42\130\53\0\129\65\42\130\28\0\129\44\42\130\28\0\130\54\42\130\28\0",
	16093, "\47\130\30\0\47\130\5\0\129\55\130\30\0\129\55\130\5\0\129\34\130\5\0\43\1\130\5\0",
	17703, "\46\130\32\0\46\130\7\0\129\54\130\32\0\129\54\130\7\0\129\33\130\7\0\43\130\7\0",
	19312, "\48\130\33\0\48\130\8\0\129\56\130\33\0\129\56\130\8\0\129\35\130\8\0\43\130\8\0",
	20921, "\51\3\130\34\0\51\3\130\9\0\129\59\3\130\34\0\129\59\3\130\9\0\129\38\3\130\9\0\43\3\130\5\0",
	22531, "\52\4\130\34\0\52\4\130\9\0\129\60\4\130\34\0\129\60\4\130\9\0\129\39\4\130\9\0\43\4\130\5\0",
	24140, "\53\5\130\34\0\53\5\130\9\0\129\61\5\130\34\0\129\61\5\130\9\0\129\40\5\130\9\0\43\5\130\5\0",
	25750, "\54\6\130\34\0\54\6\130\9\0\129\62\6\130\34\0\129\62\6\130\9\0\129\41\6\130\9\0\43\6\130\5\0",
	27359, "\55\7\130\34\0\55\7\130\9\0\129\63\7\130\34\0\129\63\7\130\9\0\129\42\7\130\9\0\43\7\130\5\0",
	28968, "\56\8\130\34\0\56\8\130\9\0\129\64\8\130\34\0\129\64\8\130\9\0\129\43\8\130\9\0\43\8\130\5\0",
	30578, "\57\9\130\34\0\57\9\130\9\0\129\65\9\130\34\0\129\65\9\130\9\0\129\44\9\130\9\0\43\9\130\5\0",
	32187, "\49\130\36\0\49\130\11\0\129\57\130\36\0\129\57\130\11\0\129\36\130\11\0\130\55\130\11\0",
	33796, "\50\69\0\50\68\0\129\58\69\0\129\58\68\0\129\37\68\0\130\56\68\0",
	35406, "\50\73\0\50\72\0\129\58\73\0\129\58\72\0\129\37\72\0\130\56\72\0",
	37015, "\50\77\0\50\76\0\129\58\77\0\129\58\76\0\129\37\76\0\130\56\76\0",
	38624, "\50\81\0\50\80\0\129\58\81\0\129\58\80\0\129\37\80\0\130\56\80\0",
	40234, "\50\85\0\50\84\0\129\58\85\0\129\58\84\0\129\37\84\0\130\56\84\0",
	41843, "\50\89\0\50\88\0\129\58\89\0\129\58\88\0\129\37\88\0\130\56\88\0",
	43452, "\50\93\0\50\92\0\129\58\93\0\129\58\92\0\129\37\92\0\130\56\92\0",
	45062, "\50\97\0\50\96\0\129\58\97\0\129\58\96\0\129\37\96\0\130\56\96\0",
	46671, "\50\101\0\50\100\0\129\58\101\0\129\58\100\0\129\37\100\0\130\56\100\0",
	48280, "\51\13\130\38\0\51\13\130\13\0\129\59\13\130\38\0\129\59\13\130\13\0\129\38\13\130\13\0\130\54\13\130\13\0",
	49890, "\51\15\122\0\51\15\121\0\129\59\15\122\0\129\59\15\121\0\129\38\15\121\0\130\54\15\121\0",
	51499, "\51\15\126\0\51\15\125\0\129\59\15\126\0\129\59\15\125\0\129\38\15\125\0\130\54\15\125\0",
	53108, "\51\15\129\2\0\51\15\129\1\0\129\59\15\129\2\0\129\59\15\129\1\0\129\38\15\129\1\0\130\54\15\129\1\0",
	54718, "\51\15\129\6\0\51\15\129\5\0\129\59\15\129\6\0\129\59\15\129\5\0\129\38\15\129\5\0\130\54\15\129\5\0",
	56327, "\51\15\129\10\0\51\15\129\9\0\129\59\15\129\10\0\129\59\15\129\9\0\129\38\15\129\9\0\130\54\15\129\9\0",
	57936, "\51\15\129\14\0\51\15\129\13\0\129\59\15\129\14\0\129\59\15\129\13\0\129\38\15\129\13\0\130\54\15\129\13\0",
	59546, "\51\15\129\18\0\51\15\129\17\0\129\59\15\129\18\0\129\59\15\129\17\0\129\38\15\129\17\0\130\54\15\129\17\0",
	61155, "\51\15\129\22\0\51\15\129\21\0\129\59\15\129\22\0\129\59\15\129\21\0\129\38\15\129\21\0\130\54\15\129\21\0",
	62764, "\51\15\129\26\0\51\15\129\25\0\129\59\15\129\26\0\129\59\15\129\25\0\129\38\15\129\25\0\130\54\15\129\25\0",
	64374, "\52\19\130\38\0\52\19\130\13\0\129\60\19\130\38\0\129\60\19\130\13\0\129\39\19\130\13\0\130\54\19\130\13\0",
	65983, "\52\21\122\0\52\21\121\0\129\60\21\122\0\129\60\21\121\0\129\39\21\121\0\130\54\21\121\0",
	67592, "\52\21\126\0\52\21\125\0\129\60\21\126\0\129\60\21\125\0\129\39\21\125\0\130\54\21\125\0",
	69202, "\52\21\129\2\0\52\21\129\1\0\129\60\21\129\2\0\129\60\21\129\1\0\129\39\21\129\1\0\130\54\21\129\1\0",
	70811, "\52\21\129\6\0\52\21\129\5\0\129\60\21\129\6\0\129\60\21\129\5\0\129\39\21\129\5\0\130\54\21\129\5\0",
	72420, "\52\21\129\10\0\52\21\129\9\0\129\60\21\129\10\0\129\60\21\129\9\0\129\39\21\129\9\0\130\54\21\129\9\0",
	74030, "\52\21\129\14\0\52\21\129\13\0\129\60\21\129\14\0\129\60\21\129\13\0\129\39\21\129\13\0\130\54\21\129\13\0",
	75639, "\52\21\129\18\0\52\21\129\17\0\129\60\21\129\18\0\129\60\21\129\17\0\129\39\21\129\17\0\130\54\21\129\17\0",
	77249, "\52\21\129\22\0\52\21\129\21\0\129\60\21\129\22\0\129\60\21\129\21\0\129\39\21\129\21\0\130\54\21\129\21\0",
	78858, "\52\21\129\26\0\52\21\129\25\0\129\60\21\129\26\0\129\60\21\129\25\0\129\39\21\129\25\0\130\54\21\129\25\0",
	80467, "\53\23\130\38\0\53\23\130\13\0\129\61\23\130\38\0\129\61\23\130\13\0\129\40\23\130\13\0\130\54\23\130\13\0",
	82077, "\53\25\122\0\53\25\121\0\129\61\25\122\0\129\61\25\121\0\129\40\25\121\0\130\54\25\121\0",
	83686, "\53\25\126\0\53\25\125\0\129\61\25\126\0\129\61\25\125\0\129\40\25\125\0\130\54\25\125\0",
	85295, "\53\25\129\2\0\53\25\129\1\0\129\61\25\129\2\0\129\61\25\129\1\0\129\40\25\129\1\0\130\54\25\129\1\0",
	86905, "\53\25\129\6\0\53\25\129\5\0\129\61\25\129\6\0\129\61\25\129\5\0\129\40\25\129\5\0\130\54\25\129\5\0",
	88514, "\53\25\129\10\0\53\25\129\9\0\129\61\25\129\10\0\129\61\25\129\9\0\129\40\25\129\9\0\130\54\25\129\9\0",
	90123, "\53\25\129\14\0\53\25\129\13\0\129\61\25\129\14\0\129\61\25\129\13\0\129\40\25\129\13\0\130\54\25\129\13\0",
	91733, "\53\25\129\18\0\53\25\129\17\0\129\61\25\129\18\0\129\61\25\129\17\0\129\40\25\129\17\0\130\54\25\129\17\0",
	93342, "\53\25\129\22\0\53\25\129\21\0\129\61\25\129\22\0\129\61\25\129\21\0\129\40\25\129\21\0\130\54\25\129\21\0",
	94951, "\53\25\129\26\0\53\25\129\25\0\129\61\25\129\26\0\129\61\25\129\25\0\129\40\25\129\25\0\130\54\25\129\25\0",
	96561, "\54\27\130\38\0\54\27\130\13\0\129\62\27\130\38\0\129\62\27\130\13\0\129\41\27\130\13\0\130\54\27\130\13\0",
	98170, "\54\29\122\0\54\29\121\0\129\62\29\122\0\129\62\29\121\0\129\41\29\121\0\130\54\29\121\0",
	99779, "\54\29\126\0\54\29\125\0\129\62\29\126\0\129\62\29\125\0\129\41\29\125\0\130\54\29\125\0",
	101389, "\54\29\129\2\0\54\29\129\1\0\129\62\29\129\2\0\129\62\29\129\1\0\129\41\29\129\1\0\130\54\29\129\1\0",
	102998, "\54\29\129\6\0\54\29\129\5\0\129\62\29\129\6\0\129\62\29\129\5\0\129\41\29\129\5\0\130\54\29\129\5\0",
	104607, "\54\29\129\10\0\54\29\129\9\0\129\62\29\129\10\0\129\62\29\129\9\0\129\41\29\129\9\0\130\54\29\129\9\0",
	106217, "\54\29\129\14\0\54\29\129\13\0\129\62\29\129\14\0\129\62\29\129\13\0\129\41\29\129\13\0\130\54\29\129\13\0",
	107826, "\54\29\129\18\0\54\29\129\17\0\129\62\29\129\18\0\129\62\29\129\17\0\129\41\29\129\17\0\130\54\29\129\17\0",
	109435, "\54\29\129\22\0\54\29\129\21\0\129\62\29\129\22\0\129\62\29\129\21\0\129\41\29\129\21\0\130\54\29\129\21\0",
	111045, "\54\29\129\26\0\54\29\129\25\0\129\62\29\129\26\0\129\62\29\129\25\0\129\41\29\129\25\0\130\54\29\129\25\0",
	112654, "\55\31\130\38\0\55\31\130\13\0\129\63\31\130\38\0\129\63\31\130\13\0\129\42\31\130\13\0\130\54\31\130\13\0",
	114263, "\55\33\122\0\55\33\121\0\129\63\33\122\0\129\63\33\121\0\129\42\33\121\0\130\54\33\121\0",
	115873, "\55\33\126\0\55\33\125\0\129\63\33\126\0\129\63\33\125\0\129\42\33\125\0\130\54\33\125\0",
	117482, "\55\33\129\2\0\55\33\129\1\0\129\63\33\129\2\0\129\63\33\129\1\0\129\42\33\129\1\0\130\54\33\129\1\0",
	119091, "\55\33\129\6\0\55\33\129\5\0\129\63\33\129\6\0\129\63\33\129\5\0\129\42\33\129\5\0\130\54\33\129\5\0",
	120701, "\55\33\129\10\0\55\33\129\9\0\129\63\33\129\10\0\129\63\33\129\9\0\129\42\33\129\9\0\130\54\33\129\9\0",
	122310, "\55\33\129\14\0\55\33\129\13\0\129\63\33\129\14\0\129\63\33\129\13\0\129\42\33\129\13\0\130\54\33\129\13\0",
	123919, "\55\33\129\18\0\55\33\129\17\0\129\63\33\129\18\0\129\63\33\129\17\0\129\42\33\129\17\0\130\54\33\129\17\0",
	125529, "\55\33\129\22\0\55\33\129\21\0\129\63\33\129\22\0\129\63\33\129\21\0\129\42\33\129\21\0\130\54\33\129\21\0",
	127138, "\55\33\129\26\0\55\33\129\25\0\129\63\33\129\26\0\129\63\33\129\25\0\129\42\33\129\25\0\130\54\33\129\25\0",
	128748, "\56\35\130\38\0\56\35\130\13\0\129\64\35\130\38\0\129\64\35\130\13\0\129\43\35\130\13\0\130\54\35\130\13\0",
	130357, "\56\37\122\0\56\37\121\0\129\64\37\122\0\129\64\37\121\0\129\43\37\121\0\130\54\37\121\0",
	131966, "\56\37\126\0\56\37\125\0\129\64\37\126\0\129\64\37\125\0\129\43\37\125\0\130\54\37\125\0",
	133576, "\56\37\129\2\0\56\37\129\1\0\129\64\37\129\2\0\129\64\37\129\1\0\129\43\37\129\1\0\130\54\37\129\1\0",
	135185, "\56\37\129\6\0\56\37\129\5\0\129\64\37\129\6\0\129\64\37\129\5\0\129\43\37\129\5\0\130\54\37\129\5\0",
	136794, "\56\37\129\10\0\56\37\129\9\0\129\64\37\129\10\0\129\64\37\129\9\0\129\43\37\129\9\0\130\54\37\129\9\0",
	138404, "\56\37\129\14\0\56\37\129\13\0\129\64\37\129\14\0\129\64\37\129\13\0\129\43\37\129\13\0\130\54\37\129\13\0",
	140013, "\56\37\129\18\0\56\37\129\17\0\129\64\37\129\18\0\129\64\37\129\17\0\129\43\37\129\17\0\130\54\37\129\17\0",
	141622, "\56\37\129\22\0\56\37\129\21\0\129\64\37\129\22\0\129\64\37\129\21\0\129\43\37\129\21\0\130\54\37\129\21\0",
	143232, "\56\37\129\26\0\56\37\129\25\0\129\64\37\129\26\0\129\64\37\129\25\0\129\43\37\129\25\0\130\54\37\129\25\0",
	144841, "\57\39\130\38\0\57\39\130\13\0\129\65\39\130\38\0\129\65\39\130\13\0\129\44\39\130\13\0\130\54\39\130\13\0",
	146450, "\57\41\122\0\57\41\121\0\129\65\41\122\0\129\65\41\121\0\129\44\41\121\0\130\54\41\121\0",
	148060, "\57\41\126\0\57\41\125\0\129\65\41\126\0\129\65\41\125\0\129\44\41\125\0\130\54\41\125\0",
	149669, "\57\41\129\2\0\57\41\129\1\0\129\65\41\129\2\0\129\65\41\129\1\0\129\44\41\129\1\0\130\54\41\129\1\0",
	151278, "\57\41\129\6\0\57\41\129\5\0\129\65\41\129\6\0\129\65\41\129\5\0\129\44\41\129\5\0\130\54\41\129\5\0",
	152888, "\57\41\129\10\0\57\41\129\9\0\129\65\41\129\10\0\129\65\41\129\9\0\129\44\41\129\9\0\130\54\41\129\9\0",
	154497, "\57\41\129\14\0\57\41\129\13\0\129\65\41\129\14\0\129\65\41\129\13\0\129\44\41\129\13\0\130\54\41\129\13\0",
	156106, "\57\41\129\18\0\57\41\129\17\0\129\65\41\129\18\0\129\65\41\129\17\0\129\44\41\129\17\0\130\54\41\129\17\0",
	157716, "\57\41\129\22\0\57\41\129\21\0\129\65\41\129\22\0\129\65\41\129\21\0\129\44\41\129\21\0\130\54\41\129\21\0",
	159325, "\57\41\129\26\0\57\41\129\25\0\129\65\41\129\26\0\129\65\41\129\25\0\129\44\41\129\25\0\130\54\41\129\25\0",
	160934, "\46\2\130\31\0\46\2\130\6\0\129\54\2\130\31\0\129\54\2\130\6\0\129\33\2\130\6\0\130\54\2\130\6\0",
	177028, "\46\2\107\0\46\2\106\0\129\54\2\107\0\129\54\2\106\0\129\33\2\106\0\130\54\2\106\0",
	193121, "\46\2\115\0\46\2\114\0\129\54\2\115\0\129\54\2\114\0\129\33\2\114\0\130\54\2\114\0",
	209215, "\46\2\118\130\38\0\46\2\118\130\13\0\129\54\2\118\130\38\0\129\54\2\118\130\13\0\129\33\2\118\130\13\0\130\54\2\118\130\13\0",
	225308, "\46\2\129\27\130\38\0\46\2\129\27\130\13\0\129\54\2\129\27\130\38\0\129\54\2\129\27\130\13\0\129\33\2\129\27\130\13\0\130\54\2\129\27\130\13\0",
	241402, "\46\2\129\28\130\38\0\46\2\129\28\130\13\0\129\54\2\129\28\130\38\0\129\54\2\129\28\130\13\0\129\33\2\129\28\130\13\0\130\54\2\129\28\130\13\0",
	257495, "\46\2\129\29\130\38\0\46\2\129\29\130\13\0\129\54\2\129\29\130\38\0\129\54\2\129\29\130\13\0\129\33\2\129\29\130\13\0\130\54\2\129\29\130\13\0",
	273588, "\46\2\129\30\130\38\0\46\2\129\30\130\13\0\129\54\2\129\30\130\38\0\129\54\2\129\30\130\13\0\129\33\2\129\30\130\13\0\130\54\2\129\30\130\13\0",
	289682, "\46\2\129\31\130\38\0\46\2\129\31\130\13\0\129\54\2\129\31\130\38\0\129\54\2\129\31\130\13\0\129\33\2\129\31\130\13\0\130\54\2\129\31\130\13\0",
	305775, "\46\2\129\32\130\38\0\46\2\129\32\130\13\0\129\54\2\129\32\130\38\0\129\54\2\129\32\130\13\0\129\33\2\129\32\130\13\0\130\54\2\129\32\130\13\0",
	321869, "\48\11\130\31\0\48\11\130\6\0\129\56\11\130\31\0\129\56\11\130\6\0\129\35\11\130\6\0\130\54\11\130\6\0",
	337962, "\48\11\107\0\48\11\106\0\129\56\11\107\0\129\56\11\106\0\129\35\11\106\0\130\54\11\106\0",
	354056, "\48\11\115\0\48\11\114\0\129\56\11\115\0\129\56\11\114\0\129\35\11\114\0\130\54\11\114\0",
	370149, "\48\11\118\130\38\0\48\11\118\130\13\0\129\56\11\118\130\38\0\129\56\11\118\130\13\0\129\35\11\118\130\13\0\130\54\11\118\130\13\0",
	386243, "\48\11\129\27\130\38\0\48\11\129\27\130\13\0\129\56\11\129\27\130\38\0\129\56\11\129\27\130\13\0\129\35\11\129\27\130\13\0\130\54\11\129\27\130\13\0",
	402336, "\48\11\129\28\130\38\0\48\11\129\28\130\13\0\129\56\11\129\28\130\38\0\129\56\11\129\28\130\13\0\129\35\11\129\28\130\13\0\130\54\11\129\28\130\13\0",
	418429, "\48\11\129\29\130\38\0\48\11\129\29\130\13\0\129\56\11\129\29\130\38\0\129\56\11\129\29\130\13\0\129\35\11\129\29\130\13\0\130\54\11\129\29\130\13\0",
	434523, "\48\11\129\30\130\38\0\48\11\129\30\130\13\0\129\56\11\129\30\130\38\0\129\56\11\129\30\130\13\0\129\35\11\129\30\130\13\0\130\54\11\129\30\130\13\0",
	450616, "\48\11\129\31\130\38\0\48\11\129\31\130\13\0\129\56\11\129\31\130\38\0\129\56\11\129\31\130\13\0\129\35\11\129\31\130\13\0\130\54\11\129\31\130\13\0",
	466710, "\48\11\129\32\130\38\0\48\11\129\32\130\13\0\129\56\11\129\32\130\38\0\129\56\11\129\32\130\13\0\129\35\11\129\32\130\13\0\130\54\11\129\32\130\13\0",
	482803, "\51\14\130\31\0\51\14\130\6\0\129\59\14\130\31\0\129\59\14\130\6\0\129\38\14\130\6\0\130\54\14\130\6\0",
	498897, "\51\14\107\0\51\14\106\0\129\59\14\107\0\129\59\14\106\0\129\38\14\106\0\130\54\14\106\0",
	514990, "\51\14\115\0\51\14\114\0\129\59\14\115\0\129\59\14\114\0\129\38\14\114\0\130\54\14\114\0",
	531084, "\51\14\118\130\38\0\51\14\118\130\13\0\129\59\14\118\130\38\0\129\59\14\118\130\13\0\129\38\14\118\130\13\0\130\54\14\118\130\13\0",
	547177, "\51\14\129\27\130\38\0\51\14\129\27\130\13\0\129\59\14\129\27\130\38\0\129\59\14\129\27\130\13\0\129\38\14\129\27\130\13\0\130\54\14\129\27\130\13\0",
	563270, "\51\14\129\28\130\38\0\51\14\129\28\130\13\0\129\59\14\129\28\130\38\0\129\59\14\129\28\130\13\0\129\38\14\129\28\130\13\0\130\54\14\129\28\130\13\0",
	579364, "\51\14\129\29\130\38\0\51\14\129\29\130\13\0\129\59\14\129\29\130\38\0\129\59\14\129\29\130\13\0\129\38\14\129\29\130\13\0\130\54\14\129\29\130\13\0",
	595457, "\51\14\129\30\130\38\0\51\14\129\30\130\13\0\129\59\14\129\30\130\38\0\129\59\14\129\30\130\13\0\129\38\14\129\30\130\13\0\130\54\14\129\30\130\13\0",
	611551, "\51\14\129\31\130\38\0\51\14\129\31\130\13\0\129\59\14\129\31\130\38\0\129\59\14\129\31\130\13\0\129\38\14\129\31\130\13\0\130\54\14\129\31\130\13\0",
	627644, "\51\14\129\32\130\38\0\51\14\129\32\130\13\0\129\59\14\129\32\130\38\0\129\59\14\129\32\130\13\0\129\38\14\129\32\130\13\0\130\54\14\129\32\130\13\0",
	643738, "\52\20\130\31\0\52\20\130\6\0\129\60\20\130\31\0\129\60\20\130\6\0\129\39\20\130\6\0\130\54\20\130\6\0",
	659831, "\52\20\107\0\52\20\106\0\129\60\20\107\0\129\60\20\106\0\129\39\20\106\0\130\54\20\106\0",
	675924, "\52\20\115\0\52\20\114\0\129\60\20\115\0\129\60\20\114\0\129\39\20\114\0\130\54\20\114\0",
	692018, "\52\20\118\130\38\0\52\20\118\130\13\0\129\60\20\118\130\38\0\129\60\20\118\130\13\0\129\39\20\118\130\13\0\130\54\20\118\130\13\0",
	708111, "\52\20\129\27\130\38\0\52\20\129\27\130\13\0\129\60\20\129\27\130\38\0\129\60\20\129\27\130\13\0\129\39\20\129\27\130\13\0\130\54\20\129\27\130\13\0",
	724205, "\52\20\129\28\130\38\0\52\20\129\28\130\13\0\129\60\20\129\28\130\38\0\129\60\20\129\28\130\13\0\129\39\20\129\28\130\13\0\130\54\20\129\28\130\13\0",
	740298, "\52\20\129\29\130\38\0\52\20\129\29\130\13\0\129\60\20\129\29\130\38\0\129\60\20\129\29\130\13\0\129\39\20\129\29\130\13\0\130\54\20\129\29\130\13\0",
	756392, "\52\20\129\30\130\38\0\52\20\129\30\130\13\0\129\60\20\129\30\130\38\0\129\60\20\129\30\130\13\0\129\39\20\129\30\130\13\0\130\54\20\129\30\130\13\0",
	772485, "\52\20\129\31\130\38\0\52\20\129\31\130\13\0\129\60\20\129\31\130\38\0\129\60\20\129\31\130\13\0\129\39\20\129\31\130\13\0\130\54\20\129\31\130\13\0",
	788579, "\52\20\129\32\130\38\0\52\20\129\32\130\13\0\129\60\20\129\32\130\38\0\129\60\20\129\32\130\13\0\129\39\20\129\32\130\13\0\130\54\20\129\32\130\13\0",
	804672, "\53\24\130\31\0\53\24\130\6\0\129\61\24\130\31\0\129\61\24\130\6\0\129\40\24\130\6\0\130\54\24\130\6\0",
	820765, "\64\24\130\31\0\64\24\130\6\0\129\72\24\130\31\0\129\72\24\130\6\0\129\49\24\130\6\0\130\54\24\130\6\0",
}

ordinals = {
	{L"1st", nil, nil},
	{L"2nd", nil, nil},
	{L"3rd", nil, nil},
	{L"4th", nil, nil},
	{L"5th", nil, nil},
	{L"6th", nil, nil},
	{L"7th", nil, nil},
	{L"8th", nil, nil},
	{L"9th", nil, nil},
	{L"10th", nil, nil},
	{L"11th", nil, nil},
	{L"12th", nil, nil},
	{L"13th", nil, nil},
	{L"14th", nil, nil},
	{L"15th", nil, nil},
	{L"16th", nil, nil},
	{L"17th", nil, nil},
	{L"18th", nil, nil},
	{L"19th", nil, nil},
	{L"20th", nil, nil},
}

